/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * require_extensions: GL_ARB_gpu_shader_fp64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf) * dmat3x2(np.float64(0.09)lf, np.float64(-1.19)lf, np.float64(1.3)lf, np.float64(0.08)lf, np.float64(1.25)lf, np.float64(1.08)lf)) => dvec3(np.float64(1.419)lf, np.float64(-0.226)lf, np.float64(-1.421)lf)
 * (dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf) * dmat3x2(np.float64(-0.36)lf, np.float64(-0.53)lf, np.float64(-1.08)lf, np.float64(0.88)lf, np.float64(-0.6)lf, np.float64(-1.79)lf)) => dvec3(np.float64(0.672)lf, np.float64(-0.9480000000000001)lf, np.float64(2.208)lf)
 * (dvec2(np.float64(-0.42)lf, np.float64(0.48)lf) * dmat3x2(np.float64(0.09)lf, np.float64(-1.19)lf, np.float64(1.3)lf, np.float64(0.08)lf, np.float64(1.25)lf, np.float64(1.08)lf)) => dvec3(np.float64(-0.609)lf, np.float64(-0.5076)lf, np.float64(-0.00660000000000005)lf)
 * (dvec2(np.float64(-0.42)lf, np.float64(0.48)lf) * dmat3x2(np.float64(-0.36)lf, np.float64(-0.53)lf, np.float64(-1.08)lf, np.float64(0.88)lf, np.float64(-0.6)lf, np.float64(-1.79)lf)) => dvec3(np.float64(-0.10320000000000001)lf, np.float64(0.876)lf, np.float64(-0.6072)lf)
 */
#version 150
#extension GL_ARB_gpu_shader_fp64 : require

void main()
{
  double[distance((dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf) * dmat3x2(np.float64(0.09)lf, np.float64(-1.19)lf, np.float64(1.3)lf, np.float64(0.08)lf, np.float64(1.25)lf, np.float64(1.08)lf)), dvec3(np.float64(1.419)lf, np.float64(-0.226)lf, np.float64(-1.421)lf)) <= np.float64(2.0208607077183723e-05)lf ? 1 : -1] array0;
  double[distance((dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf) * dmat3x2(np.float64(-0.36)lf, np.float64(-0.53)lf, np.float64(-1.08)lf, np.float64(0.88)lf, np.float64(-0.6)lf, np.float64(-1.79)lf)), dvec3(np.float64(0.672)lf, np.float64(-0.9480000000000001)lf, np.float64(2.208)lf)) <= np.float64(2.495105608987323e-05)lf ? 1 : -1] array1;
  double[distance((dvec2(np.float64(-0.42)lf, np.float64(0.48)lf) * dmat3x2(np.float64(0.09)lf, np.float64(-1.19)lf, np.float64(1.3)lf, np.float64(0.08)lf, np.float64(1.25)lf, np.float64(1.08)lf)), dvec3(np.float64(-0.609)lf, np.float64(-0.5076)lf, np.float64(-0.00660000000000005)lf)) <= np.float64(7.928318358895536e-06)lf ? 1 : -1] array2;
  double[distance((dvec2(np.float64(-0.42)lf, np.float64(0.48)lf) * dmat3x2(np.float64(-0.36)lf, np.float64(-0.53)lf, np.float64(-1.08)lf, np.float64(0.88)lf, np.float64(-0.6)lf, np.float64(-1.79)lf)), dvec3(np.float64(-0.10320000000000001)lf, np.float64(0.876)lf, np.float64(-0.6072)lf)) <= np.float64(1.0708492330855917e-05)lf ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
