/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * require_extensions: GL_ARB_gpu_shader_int64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (u64vec3(np.uint64(1333333333333333259)ul, np.uint64(85)ul, np.uint64(94)ul) >> uvec3(np.uint32(22)u, np.uint32(23)u, np.uint32(4)u)) => u64vec3(np.uint64(317891438802)ul, np.uint64(0)ul, np.uint64(5)ul)
 * (u64vec3(np.uint64(1333333333333333259)ul, np.uint64(85)ul, np.uint64(94)ul) >> uvec3(np.uint32(19)u, np.uint32(1)u, np.uint32(13)u)) => u64vec3(np.uint64(2543131510416)ul, np.uint64(42)ul, np.uint64(0)ul)
 * (u64vec3(np.uint64(167)ul, np.uint64(66)ul, np.uint64(187)ul) >> uvec3(np.uint32(22)u, np.uint32(23)u, np.uint32(4)u)) => u64vec3(np.uint64(0)ul, np.uint64(0)ul, np.uint64(11)ul)
 * (u64vec3(np.uint64(167)ul, np.uint64(66)ul, np.uint64(187)ul) >> uvec3(np.uint32(19)u, np.uint32(1)u, np.uint32(13)u)) => u64vec3(np.uint64(0)ul, np.uint64(33)ul, np.uint64(0)ul)
 */
#version 400
#extension GL_ARB_gpu_shader_int64 : require

void main()
{
  float[all(equal((u64vec3(np.uint64(1333333333333333259)ul, np.uint64(85)ul, np.uint64(94)ul) >> uvec3(np.uint32(22)u, np.uint32(23)u, np.uint32(4)u)), u64vec3(np.uint64(317891438802)ul, np.uint64(0)ul, np.uint64(5)ul))) ? 1 : -1] array0;
  float[all(equal((u64vec3(np.uint64(1333333333333333259)ul, np.uint64(85)ul, np.uint64(94)ul) >> uvec3(np.uint32(19)u, np.uint32(1)u, np.uint32(13)u)), u64vec3(np.uint64(2543131510416)ul, np.uint64(42)ul, np.uint64(0)ul))) ? 1 : -1] array1;
  float[all(equal((u64vec3(np.uint64(167)ul, np.uint64(66)ul, np.uint64(187)ul) >> uvec3(np.uint32(22)u, np.uint32(23)u, np.uint32(4)u)), u64vec3(np.uint64(0)ul, np.uint64(0)ul, np.uint64(11)ul))) ? 1 : -1] array2;
  float[all(equal((u64vec3(np.uint64(167)ul, np.uint64(66)ul, np.uint64(187)ul) >> uvec3(np.uint32(19)u, np.uint32(1)u, np.uint32(13)u)), u64vec3(np.uint64(0)ul, np.uint64(33)ul, np.uint64(0)ul))) ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
