/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (ivec3(np.int32(-36), np.int32(32), np.int32(-88)) + np.int32(12)) => ivec3(np.int32(-24), np.int32(44), np.int32(-76))
 * (ivec3(np.int32(-36), np.int32(32), np.int32(-88)) + np.int32(-6)) => ivec3(np.int32(-42), np.int32(26), np.int32(-94))
 * (ivec3(np.int32(-36), np.int32(32), np.int32(-88)) + np.int32(76)) => ivec3(np.int32(40), np.int32(108), np.int32(-12))
 * (ivec3(np.int32(-36), np.int32(32), np.int32(-88)) + np.int32(-32)) => ivec3(np.int32(-68), np.int32(0), np.int32(-120))
 * (ivec3(np.int32(-36), np.int32(32), np.int32(-88)) + np.int32(0)) => ivec3(np.int32(-36), np.int32(32), np.int32(-88))
 * (ivec3(np.int32(36), np.int32(32), np.int32(88)) + np.int32(12)) => ivec3(np.int32(48), np.int32(44), np.int32(100))
 * (ivec3(np.int32(36), np.int32(32), np.int32(88)) + np.int32(-6)) => ivec3(np.int32(30), np.int32(26), np.int32(82))
 * (ivec3(np.int32(36), np.int32(32), np.int32(88)) + np.int32(76)) => ivec3(np.int32(112), np.int32(108), np.int32(164))
 * (ivec3(np.int32(36), np.int32(32), np.int32(88)) + np.int32(-32)) => ivec3(np.int32(4), np.int32(0), np.int32(56))
 * (ivec3(np.int32(36), np.int32(32), np.int32(88)) + np.int32(0)) => ivec3(np.int32(36), np.int32(32), np.int32(88))
 * (ivec3(np.int32(59), np.int32(77), np.int32(68)) + np.int32(12)) => ivec3(np.int32(71), np.int32(89), np.int32(80))
 * (ivec3(np.int32(59), np.int32(77), np.int32(68)) + np.int32(-6)) => ivec3(np.int32(53), np.int32(71), np.int32(62))
 * (ivec3(np.int32(59), np.int32(77), np.int32(68)) + np.int32(76)) => ivec3(np.int32(135), np.int32(153), np.int32(144))
 * (ivec3(np.int32(59), np.int32(77), np.int32(68)) + np.int32(-32)) => ivec3(np.int32(27), np.int32(45), np.int32(36))
 * (ivec3(np.int32(59), np.int32(77), np.int32(68)) + np.int32(0)) => ivec3(np.int32(59), np.int32(77), np.int32(68))
 */
#version 120

void main()
{
  float[all(equal((ivec3(np.int32(-36), np.int32(32), np.int32(-88)) + np.int32(12)), ivec3(np.int32(-24), np.int32(44), np.int32(-76)))) ? 1 : -1] array0;
  float[all(equal((ivec3(np.int32(-36), np.int32(32), np.int32(-88)) + np.int32(-6)), ivec3(np.int32(-42), np.int32(26), np.int32(-94)))) ? 1 : -1] array1;
  float[all(equal((ivec3(np.int32(-36), np.int32(32), np.int32(-88)) + np.int32(76)), ivec3(np.int32(40), np.int32(108), np.int32(-12)))) ? 1 : -1] array2;
  float[all(equal((ivec3(np.int32(-36), np.int32(32), np.int32(-88)) + np.int32(-32)), ivec3(np.int32(-68), np.int32(0), np.int32(-120)))) ? 1 : -1] array3;
  float[all(equal((ivec3(np.int32(-36), np.int32(32), np.int32(-88)) + np.int32(0)), ivec3(np.int32(-36), np.int32(32), np.int32(-88)))) ? 1 : -1] array4;
  float[all(equal((ivec3(np.int32(36), np.int32(32), np.int32(88)) + np.int32(12)), ivec3(np.int32(48), np.int32(44), np.int32(100)))) ? 1 : -1] array5;
  float[all(equal((ivec3(np.int32(36), np.int32(32), np.int32(88)) + np.int32(-6)), ivec3(np.int32(30), np.int32(26), np.int32(82)))) ? 1 : -1] array6;
  float[all(equal((ivec3(np.int32(36), np.int32(32), np.int32(88)) + np.int32(76)), ivec3(np.int32(112), np.int32(108), np.int32(164)))) ? 1 : -1] array7;
  float[all(equal((ivec3(np.int32(36), np.int32(32), np.int32(88)) + np.int32(-32)), ivec3(np.int32(4), np.int32(0), np.int32(56)))) ? 1 : -1] array8;
  float[all(equal((ivec3(np.int32(36), np.int32(32), np.int32(88)) + np.int32(0)), ivec3(np.int32(36), np.int32(32), np.int32(88)))) ? 1 : -1] array9;
  float[all(equal((ivec3(np.int32(59), np.int32(77), np.int32(68)) + np.int32(12)), ivec3(np.int32(71), np.int32(89), np.int32(80)))) ? 1 : -1] array10;
  float[all(equal((ivec3(np.int32(59), np.int32(77), np.int32(68)) + np.int32(-6)), ivec3(np.int32(53), np.int32(71), np.int32(62)))) ? 1 : -1] array11;
  float[all(equal((ivec3(np.int32(59), np.int32(77), np.int32(68)) + np.int32(76)), ivec3(np.int32(135), np.int32(153), np.int32(144)))) ? 1 : -1] array12;
  float[all(equal((ivec3(np.int32(59), np.int32(77), np.int32(68)) + np.int32(-32)), ivec3(np.int32(27), np.int32(45), np.int32(36)))) ? 1 : -1] array13;
  float[all(equal((ivec3(np.int32(59), np.int32(77), np.int32(68)) + np.int32(0)), ivec3(np.int32(59), np.int32(77), np.int32(68)))) ? 1 : -1] array14;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length());
}
