/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (np.float32(0.0) / vec2(np.float32(-0.1), np.float32(-1.2))) => vec2(np.float32(-0.0), np.float32(-0.0))
 * (np.float32(0.0) / vec2(np.float32(-0.42), np.float32(0.48))) => vec2(np.float32(-0.0), np.float32(0.0))
 * (np.float32(-1.33) / vec2(np.float32(-0.1), np.float32(-1.2))) => vec2(np.float32(13.3), np.float32(1.1083333))
 * (np.float32(-1.33) / vec2(np.float32(-0.42), np.float32(0.48))) => vec2(np.float32(3.166667), np.float32(-2.7708335))
 * (np.float32(0.85) / vec2(np.float32(-0.1), np.float32(-1.2))) => vec2(np.float32(-8.5), np.float32(-0.7083333))
 * (np.float32(0.85) / vec2(np.float32(-0.42), np.float32(0.48))) => vec2(np.float32(-2.0238097), np.float32(1.7708334))
 */
#version 120

void main()
{
  float[distance((np.float32(0.0) / vec2(np.float32(-0.1), np.float32(-1.2))), vec2(np.float32(-0.0), np.float32(-0.0))) <= np.float32(0.0) ? 1 : -1] array0;
  float[distance((np.float32(0.0) / vec2(np.float32(-0.42), np.float32(0.48))), vec2(np.float32(-0.0), np.float32(0.0))) <= np.float32(0.0) ? 1 : -1] array1;
  float[distance((np.float32(-1.33) / vec2(np.float32(-0.1), np.float32(-1.2))), vec2(np.float32(13.3), np.float32(1.1083333))) <= np.float32(0.00013346101) ? 1 : -1] array2;
  float[distance((np.float32(-1.33) / vec2(np.float32(-0.42), np.float32(0.48))), vec2(np.float32(3.166667), np.float32(-2.7708335))) <= np.float32(4.2077663e-05) ? 1 : -1] array3;
  float[distance((np.float32(0.85) / vec2(np.float32(-0.1), np.float32(-1.2))), vec2(np.float32(-8.5), np.float32(-0.7083333))) <= np.float32(8.529463e-05) ? 1 : -1] array4;
  float[distance((np.float32(0.85) / vec2(np.float32(-0.42), np.float32(0.48))), vec2(np.float32(-2.0238097), np.float32(1.7708334))) <= np.float32(2.689174e-05) ? 1 : -1] array5;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length());
}
