/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (np.int32(12) * ivec3(np.int32(-36), np.int32(32), np.int32(-88))) => ivec3(np.int32(-432), np.int32(384), np.int32(-1056))
 * (np.int32(12) * ivec3(np.int32(36), np.int32(32), np.int32(88))) => ivec3(np.int32(432), np.int32(384), np.int32(1056))
 * (np.int32(12) * ivec3(np.int32(59), np.int32(77), np.int32(68))) => ivec3(np.int32(708), np.int32(924), np.int32(816))
 * (np.int32(-6) * ivec3(np.int32(-36), np.int32(32), np.int32(-88))) => ivec3(np.int32(216), np.int32(-192), np.int32(528))
 * (np.int32(-6) * ivec3(np.int32(36), np.int32(32), np.int32(88))) => ivec3(np.int32(-216), np.int32(-192), np.int32(-528))
 * (np.int32(-6) * ivec3(np.int32(59), np.int32(77), np.int32(68))) => ivec3(np.int32(-354), np.int32(-462), np.int32(-408))
 * (np.int32(76) * ivec3(np.int32(-36), np.int32(32), np.int32(-88))) => ivec3(np.int32(-2736), np.int32(2432), np.int32(-6688))
 * (np.int32(76) * ivec3(np.int32(36), np.int32(32), np.int32(88))) => ivec3(np.int32(2736), np.int32(2432), np.int32(6688))
 * (np.int32(76) * ivec3(np.int32(59), np.int32(77), np.int32(68))) => ivec3(np.int32(4484), np.int32(5852), np.int32(5168))
 * (np.int32(-32) * ivec3(np.int32(-36), np.int32(32), np.int32(-88))) => ivec3(np.int32(1152), np.int32(-1024), np.int32(2816))
 * (np.int32(-32) * ivec3(np.int32(36), np.int32(32), np.int32(88))) => ivec3(np.int32(-1152), np.int32(-1024), np.int32(-2816))
 * (np.int32(-32) * ivec3(np.int32(59), np.int32(77), np.int32(68))) => ivec3(np.int32(-1888), np.int32(-2464), np.int32(-2176))
 * (np.int32(0) * ivec3(np.int32(-36), np.int32(32), np.int32(-88))) => ivec3(np.int32(0), np.int32(0), np.int32(0))
 * (np.int32(0) * ivec3(np.int32(36), np.int32(32), np.int32(88))) => ivec3(np.int32(0), np.int32(0), np.int32(0))
 * (np.int32(0) * ivec3(np.int32(59), np.int32(77), np.int32(68))) => ivec3(np.int32(0), np.int32(0), np.int32(0))
 */
#version 120

void main()
{
  float[all(equal((np.int32(12) * ivec3(np.int32(-36), np.int32(32), np.int32(-88))), ivec3(np.int32(-432), np.int32(384), np.int32(-1056)))) ? 1 : -1] array0;
  float[all(equal((np.int32(12) * ivec3(np.int32(36), np.int32(32), np.int32(88))), ivec3(np.int32(432), np.int32(384), np.int32(1056)))) ? 1 : -1] array1;
  float[all(equal((np.int32(12) * ivec3(np.int32(59), np.int32(77), np.int32(68))), ivec3(np.int32(708), np.int32(924), np.int32(816)))) ? 1 : -1] array2;
  float[all(equal((np.int32(-6) * ivec3(np.int32(-36), np.int32(32), np.int32(-88))), ivec3(np.int32(216), np.int32(-192), np.int32(528)))) ? 1 : -1] array3;
  float[all(equal((np.int32(-6) * ivec3(np.int32(36), np.int32(32), np.int32(88))), ivec3(np.int32(-216), np.int32(-192), np.int32(-528)))) ? 1 : -1] array4;
  float[all(equal((np.int32(-6) * ivec3(np.int32(59), np.int32(77), np.int32(68))), ivec3(np.int32(-354), np.int32(-462), np.int32(-408)))) ? 1 : -1] array5;
  float[all(equal((np.int32(76) * ivec3(np.int32(-36), np.int32(32), np.int32(-88))), ivec3(np.int32(-2736), np.int32(2432), np.int32(-6688)))) ? 1 : -1] array6;
  float[all(equal((np.int32(76) * ivec3(np.int32(36), np.int32(32), np.int32(88))), ivec3(np.int32(2736), np.int32(2432), np.int32(6688)))) ? 1 : -1] array7;
  float[all(equal((np.int32(76) * ivec3(np.int32(59), np.int32(77), np.int32(68))), ivec3(np.int32(4484), np.int32(5852), np.int32(5168)))) ? 1 : -1] array8;
  float[all(equal((np.int32(-32) * ivec3(np.int32(-36), np.int32(32), np.int32(-88))), ivec3(np.int32(1152), np.int32(-1024), np.int32(2816)))) ? 1 : -1] array9;
  float[all(equal((np.int32(-32) * ivec3(np.int32(36), np.int32(32), np.int32(88))), ivec3(np.int32(-1152), np.int32(-1024), np.int32(-2816)))) ? 1 : -1] array10;
  float[all(equal((np.int32(-32) * ivec3(np.int32(59), np.int32(77), np.int32(68))), ivec3(np.int32(-1888), np.int32(-2464), np.int32(-2176)))) ? 1 : -1] array11;
  float[all(equal((np.int32(0) * ivec3(np.int32(-36), np.int32(32), np.int32(-88))), ivec3(np.int32(0), np.int32(0), np.int32(0)))) ? 1 : -1] array12;
  float[all(equal((np.int32(0) * ivec3(np.int32(36), np.int32(32), np.int32(88))), ivec3(np.int32(0), np.int32(0), np.int32(0)))) ? 1 : -1] array13;
  float[all(equal((np.int32(0) * ivec3(np.int32(59), np.int32(77), np.int32(68))), ivec3(np.int32(0), np.int32(0), np.int32(0)))) ? 1 : -1] array14;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length());
}
