/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (uvec2(np.uint32(38)u, np.uint32(35)u) + uvec2(np.uint32(38)u, np.uint32(35)u)) => uvec2(np.uint32(76)u, np.uint32(70)u)
 * (uvec2(np.uint32(38)u, np.uint32(35)u) + uvec2(np.uint32(64)u, np.uint32(9)u)) => uvec2(np.uint32(102)u, np.uint32(44)u)
 * (uvec2(np.uint32(64)u, np.uint32(9)u) + uvec2(np.uint32(38)u, np.uint32(35)u)) => uvec2(np.uint32(102)u, np.uint32(44)u)
 * (uvec2(np.uint32(64)u, np.uint32(9)u) + uvec2(np.uint32(64)u, np.uint32(9)u)) => uvec2(np.uint32(128)u, np.uint32(18)u)
 */
#version 130

void main()
{
  float[all(equal((uvec2(np.uint32(38)u, np.uint32(35)u) + uvec2(np.uint32(38)u, np.uint32(35)u)), uvec2(np.uint32(76)u, np.uint32(70)u))) ? 1 : -1] array0;
  float[all(equal((uvec2(np.uint32(38)u, np.uint32(35)u) + uvec2(np.uint32(64)u, np.uint32(9)u)), uvec2(np.uint32(102)u, np.uint32(44)u))) ? 1 : -1] array1;
  float[all(equal((uvec2(np.uint32(64)u, np.uint32(9)u) + uvec2(np.uint32(38)u, np.uint32(35)u)), uvec2(np.uint32(102)u, np.uint32(44)u))) ? 1 : -1] array2;
  float[all(equal((uvec2(np.uint32(64)u, np.uint32(9)u) + uvec2(np.uint32(64)u, np.uint32(9)u)), uvec2(np.uint32(128)u, np.uint32(18)u))) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
