/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (np.int32(12) | (~ abs(ivec2(np.int32(38), np.int32(35))))) => ivec2(np.int32(-35), np.int32(-36))
 * (np.int32(12) | (~ abs(ivec2(np.int32(64), np.int32(-9))))) => ivec2(np.int32(-65), np.int32(-2))
 * (np.int32(12) | (~ abs(ivec2(np.int32(64), np.int32(9))))) => ivec2(np.int32(-65), np.int32(-2))
 * (np.int32(-6) | (~ abs(ivec2(np.int32(38), np.int32(35))))) => ivec2(np.int32(-5), np.int32(-2))
 * (np.int32(-6) | (~ abs(ivec2(np.int32(64), np.int32(-9))))) => ivec2(np.int32(-1), np.int32(-2))
 * (np.int32(-6) | (~ abs(ivec2(np.int32(64), np.int32(9))))) => ivec2(np.int32(-1), np.int32(-2))
 * (np.int32(76) | (~ abs(ivec2(np.int32(38), np.int32(35))))) => ivec2(np.int32(-35), np.int32(-36))
 * (np.int32(76) | (~ abs(ivec2(np.int32(64), np.int32(-9))))) => ivec2(np.int32(-1), np.int32(-2))
 * (np.int32(76) | (~ abs(ivec2(np.int32(64), np.int32(9))))) => ivec2(np.int32(-1), np.int32(-2))
 * (np.int32(-32) | (~ abs(ivec2(np.int32(38), np.int32(35))))) => ivec2(np.int32(-7), np.int32(-4))
 * (np.int32(-32) | (~ abs(ivec2(np.int32(64), np.int32(-9))))) => ivec2(np.int32(-1), np.int32(-10))
 * (np.int32(-32) | (~ abs(ivec2(np.int32(64), np.int32(9))))) => ivec2(np.int32(-1), np.int32(-10))
 * (np.int32(0) | (~ abs(ivec2(np.int32(38), np.int32(35))))) => ivec2(np.int32(-39), np.int32(-36))
 * (np.int32(0) | (~ abs(ivec2(np.int32(64), np.int32(-9))))) => ivec2(np.int32(-65), np.int32(-10))
 * (np.int32(0) | (~ abs(ivec2(np.int32(64), np.int32(9))))) => ivec2(np.int32(-65), np.int32(-10))
 */
#version 130

void main()
{
  float[all(equal((np.int32(12) | (~ abs(ivec2(np.int32(38), np.int32(35))))), ivec2(np.int32(-35), np.int32(-36)))) ? 1 : -1] array0;
  float[all(equal((np.int32(12) | (~ abs(ivec2(np.int32(64), np.int32(-9))))), ivec2(np.int32(-65), np.int32(-2)))) ? 1 : -1] array1;
  float[all(equal((np.int32(12) | (~ abs(ivec2(np.int32(64), np.int32(9))))), ivec2(np.int32(-65), np.int32(-2)))) ? 1 : -1] array2;
  float[all(equal((np.int32(-6) | (~ abs(ivec2(np.int32(38), np.int32(35))))), ivec2(np.int32(-5), np.int32(-2)))) ? 1 : -1] array3;
  float[all(equal((np.int32(-6) | (~ abs(ivec2(np.int32(64), np.int32(-9))))), ivec2(np.int32(-1), np.int32(-2)))) ? 1 : -1] array4;
  float[all(equal((np.int32(-6) | (~ abs(ivec2(np.int32(64), np.int32(9))))), ivec2(np.int32(-1), np.int32(-2)))) ? 1 : -1] array5;
  float[all(equal((np.int32(76) | (~ abs(ivec2(np.int32(38), np.int32(35))))), ivec2(np.int32(-35), np.int32(-36)))) ? 1 : -1] array6;
  float[all(equal((np.int32(76) | (~ abs(ivec2(np.int32(64), np.int32(-9))))), ivec2(np.int32(-1), np.int32(-2)))) ? 1 : -1] array7;
  float[all(equal((np.int32(76) | (~ abs(ivec2(np.int32(64), np.int32(9))))), ivec2(np.int32(-1), np.int32(-2)))) ? 1 : -1] array8;
  float[all(equal((np.int32(-32) | (~ abs(ivec2(np.int32(38), np.int32(35))))), ivec2(np.int32(-7), np.int32(-4)))) ? 1 : -1] array9;
  float[all(equal((np.int32(-32) | (~ abs(ivec2(np.int32(64), np.int32(-9))))), ivec2(np.int32(-1), np.int32(-10)))) ? 1 : -1] array10;
  float[all(equal((np.int32(-32) | (~ abs(ivec2(np.int32(64), np.int32(9))))), ivec2(np.int32(-1), np.int32(-10)))) ? 1 : -1] array11;
  float[all(equal((np.int32(0) | (~ abs(ivec2(np.int32(38), np.int32(35))))), ivec2(np.int32(-39), np.int32(-36)))) ? 1 : -1] array12;
  float[all(equal((np.int32(0) | (~ abs(ivec2(np.int32(64), np.int32(-9))))), ivec2(np.int32(-65), np.int32(-10)))) ? 1 : -1] array13;
  float[all(equal((np.int32(0) | (~ abs(ivec2(np.int32(64), np.int32(9))))), ivec2(np.int32(-65), np.int32(-10)))) ? 1 : -1] array14;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length());
}
