/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (np.int32(12) ^ ivec3(np.int32(-36), np.int32(32), np.int32(-88))) => ivec3(np.int32(-48), np.int32(44), np.int32(-92))
 * (np.int32(12) ^ ivec3(np.int32(36), np.int32(32), np.int32(88))) => ivec3(np.int32(40), np.int32(44), np.int32(84))
 * (np.int32(12) ^ ivec3(np.int32(59), np.int32(77), np.int32(68))) => ivec3(np.int32(55), np.int32(65), np.int32(72))
 * (np.int32(-6) ^ ivec3(np.int32(-36), np.int32(32), np.int32(-88))) => ivec3(np.int32(38), np.int32(-38), np.int32(82))
 * (np.int32(-6) ^ ivec3(np.int32(36), np.int32(32), np.int32(88))) => ivec3(np.int32(-34), np.int32(-38), np.int32(-94))
 * (np.int32(-6) ^ ivec3(np.int32(59), np.int32(77), np.int32(68))) => ivec3(np.int32(-63), np.int32(-73), np.int32(-66))
 * (np.int32(76) ^ ivec3(np.int32(-36), np.int32(32), np.int32(-88))) => ivec3(np.int32(-112), np.int32(108), np.int32(-28))
 * (np.int32(76) ^ ivec3(np.int32(36), np.int32(32), np.int32(88))) => ivec3(np.int32(104), np.int32(108), np.int32(20))
 * (np.int32(76) ^ ivec3(np.int32(59), np.int32(77), np.int32(68))) => ivec3(np.int32(119), np.int32(1), np.int32(8))
 * (np.int32(-32) ^ ivec3(np.int32(-36), np.int32(32), np.int32(-88))) => ivec3(np.int32(60), np.int32(-64), np.int32(72))
 * (np.int32(-32) ^ ivec3(np.int32(36), np.int32(32), np.int32(88))) => ivec3(np.int32(-60), np.int32(-64), np.int32(-72))
 * (np.int32(-32) ^ ivec3(np.int32(59), np.int32(77), np.int32(68))) => ivec3(np.int32(-37), np.int32(-83), np.int32(-92))
 * (np.int32(0) ^ ivec3(np.int32(-36), np.int32(32), np.int32(-88))) => ivec3(np.int32(-36), np.int32(32), np.int32(-88))
 * (np.int32(0) ^ ivec3(np.int32(36), np.int32(32), np.int32(88))) => ivec3(np.int32(36), np.int32(32), np.int32(88))
 * (np.int32(0) ^ ivec3(np.int32(59), np.int32(77), np.int32(68))) => ivec3(np.int32(59), np.int32(77), np.int32(68))
 */
#version 130

void main()
{
  float[all(equal((np.int32(12) ^ ivec3(np.int32(-36), np.int32(32), np.int32(-88))), ivec3(np.int32(-48), np.int32(44), np.int32(-92)))) ? 1 : -1] array0;
  float[all(equal((np.int32(12) ^ ivec3(np.int32(36), np.int32(32), np.int32(88))), ivec3(np.int32(40), np.int32(44), np.int32(84)))) ? 1 : -1] array1;
  float[all(equal((np.int32(12) ^ ivec3(np.int32(59), np.int32(77), np.int32(68))), ivec3(np.int32(55), np.int32(65), np.int32(72)))) ? 1 : -1] array2;
  float[all(equal((np.int32(-6) ^ ivec3(np.int32(-36), np.int32(32), np.int32(-88))), ivec3(np.int32(38), np.int32(-38), np.int32(82)))) ? 1 : -1] array3;
  float[all(equal((np.int32(-6) ^ ivec3(np.int32(36), np.int32(32), np.int32(88))), ivec3(np.int32(-34), np.int32(-38), np.int32(-94)))) ? 1 : -1] array4;
  float[all(equal((np.int32(-6) ^ ivec3(np.int32(59), np.int32(77), np.int32(68))), ivec3(np.int32(-63), np.int32(-73), np.int32(-66)))) ? 1 : -1] array5;
  float[all(equal((np.int32(76) ^ ivec3(np.int32(-36), np.int32(32), np.int32(-88))), ivec3(np.int32(-112), np.int32(108), np.int32(-28)))) ? 1 : -1] array6;
  float[all(equal((np.int32(76) ^ ivec3(np.int32(36), np.int32(32), np.int32(88))), ivec3(np.int32(104), np.int32(108), np.int32(20)))) ? 1 : -1] array7;
  float[all(equal((np.int32(76) ^ ivec3(np.int32(59), np.int32(77), np.int32(68))), ivec3(np.int32(119), np.int32(1), np.int32(8)))) ? 1 : -1] array8;
  float[all(equal((np.int32(-32) ^ ivec3(np.int32(-36), np.int32(32), np.int32(-88))), ivec3(np.int32(60), np.int32(-64), np.int32(72)))) ? 1 : -1] array9;
  float[all(equal((np.int32(-32) ^ ivec3(np.int32(36), np.int32(32), np.int32(88))), ivec3(np.int32(-60), np.int32(-64), np.int32(-72)))) ? 1 : -1] array10;
  float[all(equal((np.int32(-32) ^ ivec3(np.int32(59), np.int32(77), np.int32(68))), ivec3(np.int32(-37), np.int32(-83), np.int32(-92)))) ? 1 : -1] array11;
  float[all(equal((np.int32(0) ^ ivec3(np.int32(-36), np.int32(32), np.int32(-88))), ivec3(np.int32(-36), np.int32(32), np.int32(-88)))) ? 1 : -1] array12;
  float[all(equal((np.int32(0) ^ ivec3(np.int32(36), np.int32(32), np.int32(88))), ivec3(np.int32(36), np.int32(32), np.int32(88)))) ? 1 : -1] array13;
  float[all(equal((np.int32(0) ^ ivec3(np.int32(59), np.int32(77), np.int32(68))), ivec3(np.int32(59), np.int32(77), np.int32(68)))) ? 1 : -1] array14;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length());
}
