/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (~ ivec3(np.int32(-36), np.int32(32), np.int32(-88))) => ivec3(np.int32(35), np.int32(-33), np.int32(87))
 * (~ ivec3(np.int32(36), np.int32(32), np.int32(88))) => ivec3(np.int32(-37), np.int32(-33), np.int32(-89))
 * (~ ivec3(np.int32(59), np.int32(77), np.int32(68))) => ivec3(np.int32(-60), np.int32(-78), np.int32(-69))
 */
#version 130

void main()
{
  float[all(equal((~ ivec3(np.int32(-36), np.int32(32), np.int32(-88))), ivec3(np.int32(35), np.int32(-33), np.int32(87)))) ? 1 : -1] array0;
  float[all(equal((~ ivec3(np.int32(36), np.int32(32), np.int32(88))), ivec3(np.int32(-37), np.int32(-33), np.int32(-89)))) ? 1 : -1] array1;
  float[all(equal((~ ivec3(np.int32(59), np.int32(77), np.int32(68))), ivec3(np.int32(-60), np.int32(-78), np.int32(-69)))) ? 1 : -1] array2;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length());
}
