/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (np.uint32(0)u >> np.uint32(0)u) => np.uint32(0)u
 * (np.uint32(0)u >> np.uint32(1)u) => np.uint32(0)u
 * (np.uint32(0)u >> np.uint32(2)u) => np.uint32(0)u
 * (np.uint32(0)u >> np.uint32(5)u) => np.uint32(0)u
 * (np.uint32(0)u >> np.uint32(25)u) => np.uint32(0)u
 * (np.uint32(0)u >> np.uint32(31)u) => np.uint32(0)u
 * (np.uint32(1)u >> np.uint32(0)u) => np.uint32(1)u
 * (np.uint32(1)u >> np.uint32(1)u) => np.uint32(0)u
 * (np.uint32(1)u >> np.uint32(2)u) => np.uint32(0)u
 * (np.uint32(1)u >> np.uint32(5)u) => np.uint32(0)u
 * (np.uint32(1)u >> np.uint32(25)u) => np.uint32(0)u
 * (np.uint32(1)u >> np.uint32(31)u) => np.uint32(0)u
 * (np.uint32(2)u >> np.uint32(0)u) => np.uint32(2)u
 * (np.uint32(2)u >> np.uint32(1)u) => np.uint32(1)u
 * (np.uint32(2)u >> np.uint32(2)u) => np.uint32(0)u
 * (np.uint32(2)u >> np.uint32(5)u) => np.uint32(0)u
 * (np.uint32(2)u >> np.uint32(25)u) => np.uint32(0)u
 * (np.uint32(2)u >> np.uint32(31)u) => np.uint32(0)u
 * (np.uint32(5)u >> np.uint32(0)u) => np.uint32(5)u
 * (np.uint32(5)u >> np.uint32(1)u) => np.uint32(2)u
 * (np.uint32(5)u >> np.uint32(2)u) => np.uint32(1)u
 * (np.uint32(5)u >> np.uint32(5)u) => np.uint32(0)u
 * (np.uint32(5)u >> np.uint32(25)u) => np.uint32(0)u
 * (np.uint32(5)u >> np.uint32(31)u) => np.uint32(0)u
 * (np.uint32(25)u >> np.uint32(0)u) => np.uint32(25)u
 * (np.uint32(25)u >> np.uint32(1)u) => np.uint32(12)u
 * (np.uint32(25)u >> np.uint32(2)u) => np.uint32(6)u
 * (np.uint32(25)u >> np.uint32(5)u) => np.uint32(0)u
 * (np.uint32(25)u >> np.uint32(25)u) => np.uint32(0)u
 * (np.uint32(25)u >> np.uint32(31)u) => np.uint32(0)u
 * (np.uint32(31)u >> np.uint32(0)u) => np.uint32(31)u
 * (np.uint32(31)u >> np.uint32(1)u) => np.uint32(15)u
 * (np.uint32(31)u >> np.uint32(2)u) => np.uint32(7)u
 * (np.uint32(31)u >> np.uint32(5)u) => np.uint32(0)u
 * (np.uint32(31)u >> np.uint32(25)u) => np.uint32(0)u
 * (np.uint32(31)u >> np.uint32(31)u) => np.uint32(0)u
 */
#version 130

void main()
{
  float[(np.uint32(0)u >> np.uint32(0)u) == np.uint32(0)u ? 1 : -1] array0;
  float[(np.uint32(0)u >> np.uint32(1)u) == np.uint32(0)u ? 1 : -1] array1;
  float[(np.uint32(0)u >> np.uint32(2)u) == np.uint32(0)u ? 1 : -1] array2;
  float[(np.uint32(0)u >> np.uint32(5)u) == np.uint32(0)u ? 1 : -1] array3;
  float[(np.uint32(0)u >> np.uint32(25)u) == np.uint32(0)u ? 1 : -1] array4;
  float[(np.uint32(0)u >> np.uint32(31)u) == np.uint32(0)u ? 1 : -1] array5;
  float[(np.uint32(1)u >> np.uint32(0)u) == np.uint32(1)u ? 1 : -1] array6;
  float[(np.uint32(1)u >> np.uint32(1)u) == np.uint32(0)u ? 1 : -1] array7;
  float[(np.uint32(1)u >> np.uint32(2)u) == np.uint32(0)u ? 1 : -1] array8;
  float[(np.uint32(1)u >> np.uint32(5)u) == np.uint32(0)u ? 1 : -1] array9;
  float[(np.uint32(1)u >> np.uint32(25)u) == np.uint32(0)u ? 1 : -1] array10;
  float[(np.uint32(1)u >> np.uint32(31)u) == np.uint32(0)u ? 1 : -1] array11;
  float[(np.uint32(2)u >> np.uint32(0)u) == np.uint32(2)u ? 1 : -1] array12;
  float[(np.uint32(2)u >> np.uint32(1)u) == np.uint32(1)u ? 1 : -1] array13;
  float[(np.uint32(2)u >> np.uint32(2)u) == np.uint32(0)u ? 1 : -1] array14;
  float[(np.uint32(2)u >> np.uint32(5)u) == np.uint32(0)u ? 1 : -1] array15;
  float[(np.uint32(2)u >> np.uint32(25)u) == np.uint32(0)u ? 1 : -1] array16;
  float[(np.uint32(2)u >> np.uint32(31)u) == np.uint32(0)u ? 1 : -1] array17;
  float[(np.uint32(5)u >> np.uint32(0)u) == np.uint32(5)u ? 1 : -1] array18;
  float[(np.uint32(5)u >> np.uint32(1)u) == np.uint32(2)u ? 1 : -1] array19;
  float[(np.uint32(5)u >> np.uint32(2)u) == np.uint32(1)u ? 1 : -1] array20;
  float[(np.uint32(5)u >> np.uint32(5)u) == np.uint32(0)u ? 1 : -1] array21;
  float[(np.uint32(5)u >> np.uint32(25)u) == np.uint32(0)u ? 1 : -1] array22;
  float[(np.uint32(5)u >> np.uint32(31)u) == np.uint32(0)u ? 1 : -1] array23;
  float[(np.uint32(25)u >> np.uint32(0)u) == np.uint32(25)u ? 1 : -1] array24;
  float[(np.uint32(25)u >> np.uint32(1)u) == np.uint32(12)u ? 1 : -1] array25;
  float[(np.uint32(25)u >> np.uint32(2)u) == np.uint32(6)u ? 1 : -1] array26;
  float[(np.uint32(25)u >> np.uint32(5)u) == np.uint32(0)u ? 1 : -1] array27;
  float[(np.uint32(25)u >> np.uint32(25)u) == np.uint32(0)u ? 1 : -1] array28;
  float[(np.uint32(25)u >> np.uint32(31)u) == np.uint32(0)u ? 1 : -1] array29;
  float[(np.uint32(31)u >> np.uint32(0)u) == np.uint32(31)u ? 1 : -1] array30;
  float[(np.uint32(31)u >> np.uint32(1)u) == np.uint32(15)u ? 1 : -1] array31;
  float[(np.uint32(31)u >> np.uint32(2)u) == np.uint32(7)u ? 1 : -1] array32;
  float[(np.uint32(31)u >> np.uint32(5)u) == np.uint32(0)u ? 1 : -1] array33;
  float[(np.uint32(31)u >> np.uint32(25)u) == np.uint32(0)u ? 1 : -1] array34;
  float[(np.uint32(31)u >> np.uint32(31)u) == np.uint32(0)u ? 1 : -1] array35;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length() + array15.length() + array16.length() + array17.length() + array18.length() + array19.length() + array20.length() + array21.length() + array22.length() + array23.length() + array24.length() + array25.length() + array26.length() + array27.length() + array28.length() + array29.length() + array30.length() + array31.length() + array32.length() + array33.length() + array34.length() + array35.length());
}
