/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * clamp(np.int32(-5), np.int32(-5), np.int32(-5)) => np.int32(-5)
 * clamp(np.int32(-5), np.int32(-5), np.int32(-2)) => np.int32(-5)
 * clamp(np.int32(-5), np.int32(-5), np.int32(-1)) => np.int32(-5)
 * clamp(np.int32(-5), np.int32(-5), np.int32(0)) => np.int32(-5)
 * clamp(np.int32(-5), np.int32(-5), np.int32(1)) => np.int32(-5)
 * clamp(np.int32(-5), np.int32(-5), np.int32(2)) => np.int32(-5)
 * clamp(np.int32(-5), np.int32(-5), np.int32(5)) => np.int32(-5)
 * clamp(np.int32(-5), np.int32(-2), np.int32(-2)) => np.int32(-2)
 * clamp(np.int32(-5), np.int32(-2), np.int32(-1)) => np.int32(-2)
 * clamp(np.int32(-5), np.int32(-2), np.int32(0)) => np.int32(-2)
 * clamp(np.int32(-5), np.int32(-2), np.int32(1)) => np.int32(-2)
 * clamp(np.int32(-5), np.int32(-2), np.int32(2)) => np.int32(-2)
 * clamp(np.int32(-5), np.int32(-2), np.int32(5)) => np.int32(-2)
 * clamp(np.int32(-5), np.int32(-1), np.int32(-1)) => np.int32(-1)
 * clamp(np.int32(-5), np.int32(-1), np.int32(0)) => np.int32(-1)
 * clamp(np.int32(-5), np.int32(-1), np.int32(1)) => np.int32(-1)
 * clamp(np.int32(-5), np.int32(-1), np.int32(2)) => np.int32(-1)
 * clamp(np.int32(-5), np.int32(-1), np.int32(5)) => np.int32(-1)
 * clamp(np.int32(-5), np.int32(0), np.int32(0)) => np.int32(0)
 * clamp(np.int32(-5), np.int32(0), np.int32(1)) => np.int32(0)
 * clamp(np.int32(-5), np.int32(0), np.int32(2)) => np.int32(0)
 * clamp(np.int32(-5), np.int32(0), np.int32(5)) => np.int32(0)
 * clamp(np.int32(-5), np.int32(1), np.int32(1)) => np.int32(1)
 * clamp(np.int32(-5), np.int32(1), np.int32(2)) => np.int32(1)
 * clamp(np.int32(-5), np.int32(1), np.int32(5)) => np.int32(1)
 * clamp(np.int32(-5), np.int32(2), np.int32(2)) => np.int32(2)
 * clamp(np.int32(-5), np.int32(2), np.int32(5)) => np.int32(2)
 * clamp(np.int32(-5), np.int32(5), np.int32(5)) => np.int32(5)
 * clamp(np.int32(-2), np.int32(-5), np.int32(-5)) => np.int32(-5)
 * clamp(np.int32(-2), np.int32(-5), np.int32(-2)) => np.int32(-2)
 * clamp(np.int32(-2), np.int32(-5), np.int32(-1)) => np.int32(-2)
 * clamp(np.int32(-2), np.int32(-5), np.int32(0)) => np.int32(-2)
 * clamp(np.int32(-2), np.int32(-5), np.int32(1)) => np.int32(-2)
 * clamp(np.int32(-2), np.int32(-5), np.int32(2)) => np.int32(-2)
 * clamp(np.int32(-2), np.int32(-5), np.int32(5)) => np.int32(-2)
 * clamp(np.int32(-2), np.int32(-2), np.int32(-2)) => np.int32(-2)
 * clamp(np.int32(-2), np.int32(-2), np.int32(-1)) => np.int32(-2)
 * clamp(np.int32(-2), np.int32(-2), np.int32(0)) => np.int32(-2)
 * clamp(np.int32(-2), np.int32(-2), np.int32(1)) => np.int32(-2)
 * clamp(np.int32(-2), np.int32(-2), np.int32(2)) => np.int32(-2)
 * clamp(np.int32(-2), np.int32(-2), np.int32(5)) => np.int32(-2)
 * clamp(np.int32(-2), np.int32(-1), np.int32(-1)) => np.int32(-1)
 * clamp(np.int32(-2), np.int32(-1), np.int32(0)) => np.int32(-1)
 * clamp(np.int32(-2), np.int32(-1), np.int32(1)) => np.int32(-1)
 * clamp(np.int32(-2), np.int32(-1), np.int32(2)) => np.int32(-1)
 * clamp(np.int32(-2), np.int32(-1), np.int32(5)) => np.int32(-1)
 * clamp(np.int32(-2), np.int32(0), np.int32(0)) => np.int32(0)
 * clamp(np.int32(-2), np.int32(0), np.int32(1)) => np.int32(0)
 * clamp(np.int32(-2), np.int32(0), np.int32(2)) => np.int32(0)
 * clamp(np.int32(-2), np.int32(0), np.int32(5)) => np.int32(0)
 * clamp(np.int32(-2), np.int32(1), np.int32(1)) => np.int32(1)
 * clamp(np.int32(-2), np.int32(1), np.int32(2)) => np.int32(1)
 * clamp(np.int32(-2), np.int32(1), np.int32(5)) => np.int32(1)
 * clamp(np.int32(-2), np.int32(2), np.int32(2)) => np.int32(2)
 * clamp(np.int32(-2), np.int32(2), np.int32(5)) => np.int32(2)
 * clamp(np.int32(-2), np.int32(5), np.int32(5)) => np.int32(5)
 * clamp(np.int32(-1), np.int32(-5), np.int32(-5)) => np.int32(-5)
 * clamp(np.int32(-1), np.int32(-5), np.int32(-2)) => np.int32(-2)
 * clamp(np.int32(-1), np.int32(-5), np.int32(-1)) => np.int32(-1)
 * clamp(np.int32(-1), np.int32(-5), np.int32(0)) => np.int32(-1)
 * clamp(np.int32(-1), np.int32(-5), np.int32(1)) => np.int32(-1)
 * clamp(np.int32(-1), np.int32(-5), np.int32(2)) => np.int32(-1)
 * clamp(np.int32(-1), np.int32(-5), np.int32(5)) => np.int32(-1)
 * clamp(np.int32(-1), np.int32(-2), np.int32(-2)) => np.int32(-2)
 * clamp(np.int32(-1), np.int32(-2), np.int32(-1)) => np.int32(-1)
 * clamp(np.int32(-1), np.int32(-2), np.int32(0)) => np.int32(-1)
 * clamp(np.int32(-1), np.int32(-2), np.int32(1)) => np.int32(-1)
 * clamp(np.int32(-1), np.int32(-2), np.int32(2)) => np.int32(-1)
 * clamp(np.int32(-1), np.int32(-2), np.int32(5)) => np.int32(-1)
 * clamp(np.int32(-1), np.int32(-1), np.int32(-1)) => np.int32(-1)
 * clamp(np.int32(-1), np.int32(-1), np.int32(0)) => np.int32(-1)
 * clamp(np.int32(-1), np.int32(-1), np.int32(1)) => np.int32(-1)
 * clamp(np.int32(-1), np.int32(-1), np.int32(2)) => np.int32(-1)
 * clamp(np.int32(-1), np.int32(-1), np.int32(5)) => np.int32(-1)
 * clamp(np.int32(-1), np.int32(0), np.int32(0)) => np.int32(0)
 * clamp(np.int32(-1), np.int32(0), np.int32(1)) => np.int32(0)
 * clamp(np.int32(-1), np.int32(0), np.int32(2)) => np.int32(0)
 * clamp(np.int32(-1), np.int32(0), np.int32(5)) => np.int32(0)
 * clamp(np.int32(-1), np.int32(1), np.int32(1)) => np.int32(1)
 * clamp(np.int32(-1), np.int32(1), np.int32(2)) => np.int32(1)
 * clamp(np.int32(-1), np.int32(1), np.int32(5)) => np.int32(1)
 * clamp(np.int32(-1), np.int32(2), np.int32(2)) => np.int32(2)
 * clamp(np.int32(-1), np.int32(2), np.int32(5)) => np.int32(2)
 * clamp(np.int32(-1), np.int32(5), np.int32(5)) => np.int32(5)
 * clamp(np.int32(0), np.int32(-5), np.int32(-5)) => np.int32(-5)
 * clamp(np.int32(0), np.int32(-5), np.int32(-2)) => np.int32(-2)
 * clamp(np.int32(0), np.int32(-5), np.int32(-1)) => np.int32(-1)
 * clamp(np.int32(0), np.int32(-5), np.int32(0)) => np.int32(0)
 * clamp(np.int32(0), np.int32(-5), np.int32(1)) => np.int32(0)
 * clamp(np.int32(0), np.int32(-5), np.int32(2)) => np.int32(0)
 * clamp(np.int32(0), np.int32(-5), np.int32(5)) => np.int32(0)
 * clamp(np.int32(0), np.int32(-2), np.int32(-2)) => np.int32(-2)
 * clamp(np.int32(0), np.int32(-2), np.int32(-1)) => np.int32(-1)
 * clamp(np.int32(0), np.int32(-2), np.int32(0)) => np.int32(0)
 * clamp(np.int32(0), np.int32(-2), np.int32(1)) => np.int32(0)
 * clamp(np.int32(0), np.int32(-2), np.int32(2)) => np.int32(0)
 * clamp(np.int32(0), np.int32(-2), np.int32(5)) => np.int32(0)
 * clamp(np.int32(0), np.int32(-1), np.int32(-1)) => np.int32(-1)
 * clamp(np.int32(0), np.int32(-1), np.int32(0)) => np.int32(0)
 * clamp(np.int32(0), np.int32(-1), np.int32(1)) => np.int32(0)
 * clamp(np.int32(0), np.int32(-1), np.int32(2)) => np.int32(0)
 * clamp(np.int32(0), np.int32(-1), np.int32(5)) => np.int32(0)
 * clamp(np.int32(0), np.int32(0), np.int32(0)) => np.int32(0)
 * clamp(np.int32(0), np.int32(0), np.int32(1)) => np.int32(0)
 * clamp(np.int32(0), np.int32(0), np.int32(2)) => np.int32(0)
 * clamp(np.int32(0), np.int32(0), np.int32(5)) => np.int32(0)
 * clamp(np.int32(0), np.int32(1), np.int32(1)) => np.int32(1)
 * clamp(np.int32(0), np.int32(1), np.int32(2)) => np.int32(1)
 * clamp(np.int32(0), np.int32(1), np.int32(5)) => np.int32(1)
 * clamp(np.int32(0), np.int32(2), np.int32(2)) => np.int32(2)
 * clamp(np.int32(0), np.int32(2), np.int32(5)) => np.int32(2)
 * clamp(np.int32(0), np.int32(5), np.int32(5)) => np.int32(5)
 * clamp(np.int32(1), np.int32(-5), np.int32(-5)) => np.int32(-5)
 * clamp(np.int32(1), np.int32(-5), np.int32(-2)) => np.int32(-2)
 * clamp(np.int32(1), np.int32(-5), np.int32(-1)) => np.int32(-1)
 * clamp(np.int32(1), np.int32(-5), np.int32(0)) => np.int32(0)
 * clamp(np.int32(1), np.int32(-5), np.int32(1)) => np.int32(1)
 * clamp(np.int32(1), np.int32(-5), np.int32(2)) => np.int32(1)
 * clamp(np.int32(1), np.int32(-5), np.int32(5)) => np.int32(1)
 * clamp(np.int32(1), np.int32(-2), np.int32(-2)) => np.int32(-2)
 * clamp(np.int32(1), np.int32(-2), np.int32(-1)) => np.int32(-1)
 * clamp(np.int32(1), np.int32(-2), np.int32(0)) => np.int32(0)
 * clamp(np.int32(1), np.int32(-2), np.int32(1)) => np.int32(1)
 * clamp(np.int32(1), np.int32(-2), np.int32(2)) => np.int32(1)
 * clamp(np.int32(1), np.int32(-2), np.int32(5)) => np.int32(1)
 * clamp(np.int32(1), np.int32(-1), np.int32(-1)) => np.int32(-1)
 * clamp(np.int32(1), np.int32(-1), np.int32(0)) => np.int32(0)
 * clamp(np.int32(1), np.int32(-1), np.int32(1)) => np.int32(1)
 * clamp(np.int32(1), np.int32(-1), np.int32(2)) => np.int32(1)
 * clamp(np.int32(1), np.int32(-1), np.int32(5)) => np.int32(1)
 * clamp(np.int32(1), np.int32(0), np.int32(0)) => np.int32(0)
 * clamp(np.int32(1), np.int32(0), np.int32(1)) => np.int32(1)
 * clamp(np.int32(1), np.int32(0), np.int32(2)) => np.int32(1)
 * clamp(np.int32(1), np.int32(0), np.int32(5)) => np.int32(1)
 * clamp(np.int32(1), np.int32(1), np.int32(1)) => np.int32(1)
 * clamp(np.int32(1), np.int32(1), np.int32(2)) => np.int32(1)
 * clamp(np.int32(1), np.int32(1), np.int32(5)) => np.int32(1)
 * clamp(np.int32(1), np.int32(2), np.int32(2)) => np.int32(2)
 * clamp(np.int32(1), np.int32(2), np.int32(5)) => np.int32(2)
 * clamp(np.int32(1), np.int32(5), np.int32(5)) => np.int32(5)
 * clamp(np.int32(2), np.int32(-5), np.int32(-5)) => np.int32(-5)
 * clamp(np.int32(2), np.int32(-5), np.int32(-2)) => np.int32(-2)
 * clamp(np.int32(2), np.int32(-5), np.int32(-1)) => np.int32(-1)
 * clamp(np.int32(2), np.int32(-5), np.int32(0)) => np.int32(0)
 * clamp(np.int32(2), np.int32(-5), np.int32(1)) => np.int32(1)
 * clamp(np.int32(2), np.int32(-5), np.int32(2)) => np.int32(2)
 * clamp(np.int32(2), np.int32(-5), np.int32(5)) => np.int32(2)
 * clamp(np.int32(2), np.int32(-2), np.int32(-2)) => np.int32(-2)
 * clamp(np.int32(2), np.int32(-2), np.int32(-1)) => np.int32(-1)
 * clamp(np.int32(2), np.int32(-2), np.int32(0)) => np.int32(0)
 * clamp(np.int32(2), np.int32(-2), np.int32(1)) => np.int32(1)
 * clamp(np.int32(2), np.int32(-2), np.int32(2)) => np.int32(2)
 * clamp(np.int32(2), np.int32(-2), np.int32(5)) => np.int32(2)
 * clamp(np.int32(2), np.int32(-1), np.int32(-1)) => np.int32(-1)
 * clamp(np.int32(2), np.int32(-1), np.int32(0)) => np.int32(0)
 * clamp(np.int32(2), np.int32(-1), np.int32(1)) => np.int32(1)
 * clamp(np.int32(2), np.int32(-1), np.int32(2)) => np.int32(2)
 * clamp(np.int32(2), np.int32(-1), np.int32(5)) => np.int32(2)
 * clamp(np.int32(2), np.int32(0), np.int32(0)) => np.int32(0)
 * clamp(np.int32(2), np.int32(0), np.int32(1)) => np.int32(1)
 * clamp(np.int32(2), np.int32(0), np.int32(2)) => np.int32(2)
 * clamp(np.int32(2), np.int32(0), np.int32(5)) => np.int32(2)
 * clamp(np.int32(2), np.int32(1), np.int32(1)) => np.int32(1)
 * clamp(np.int32(2), np.int32(1), np.int32(2)) => np.int32(2)
 * clamp(np.int32(2), np.int32(1), np.int32(5)) => np.int32(2)
 * clamp(np.int32(2), np.int32(2), np.int32(2)) => np.int32(2)
 * clamp(np.int32(2), np.int32(2), np.int32(5)) => np.int32(2)
 * clamp(np.int32(2), np.int32(5), np.int32(5)) => np.int32(5)
 * clamp(np.int32(5), np.int32(-5), np.int32(-5)) => np.int32(-5)
 * clamp(np.int32(5), np.int32(-5), np.int32(-2)) => np.int32(-2)
 * clamp(np.int32(5), np.int32(-5), np.int32(-1)) => np.int32(-1)
 * clamp(np.int32(5), np.int32(-5), np.int32(0)) => np.int32(0)
 * clamp(np.int32(5), np.int32(-5), np.int32(1)) => np.int32(1)
 * clamp(np.int32(5), np.int32(-5), np.int32(2)) => np.int32(2)
 * clamp(np.int32(5), np.int32(-5), np.int32(5)) => np.int32(5)
 * clamp(np.int32(5), np.int32(-2), np.int32(-2)) => np.int32(-2)
 * clamp(np.int32(5), np.int32(-2), np.int32(-1)) => np.int32(-1)
 * clamp(np.int32(5), np.int32(-2), np.int32(0)) => np.int32(0)
 * clamp(np.int32(5), np.int32(-2), np.int32(1)) => np.int32(1)
 * clamp(np.int32(5), np.int32(-2), np.int32(2)) => np.int32(2)
 * clamp(np.int32(5), np.int32(-2), np.int32(5)) => np.int32(5)
 * clamp(np.int32(5), np.int32(-1), np.int32(-1)) => np.int32(-1)
 * clamp(np.int32(5), np.int32(-1), np.int32(0)) => np.int32(0)
 * clamp(np.int32(5), np.int32(-1), np.int32(1)) => np.int32(1)
 * clamp(np.int32(5), np.int32(-1), np.int32(2)) => np.int32(2)
 * clamp(np.int32(5), np.int32(-1), np.int32(5)) => np.int32(5)
 * clamp(np.int32(5), np.int32(0), np.int32(0)) => np.int32(0)
 * clamp(np.int32(5), np.int32(0), np.int32(1)) => np.int32(1)
 * clamp(np.int32(5), np.int32(0), np.int32(2)) => np.int32(2)
 * clamp(np.int32(5), np.int32(0), np.int32(5)) => np.int32(5)
 * clamp(np.int32(5), np.int32(1), np.int32(1)) => np.int32(1)
 * clamp(np.int32(5), np.int32(1), np.int32(2)) => np.int32(2)
 * clamp(np.int32(5), np.int32(1), np.int32(5)) => np.int32(5)
 * clamp(np.int32(5), np.int32(2), np.int32(2)) => np.int32(2)
 * clamp(np.int32(5), np.int32(2), np.int32(5)) => np.int32(5)
 * clamp(np.int32(5), np.int32(5), np.int32(5)) => np.int32(5)
 */
#version 150

void main()
{
  float[clamp(np.int32(-5), np.int32(-5), np.int32(-5)) == np.int32(-5) ? 1 : -1] array0;
  float[clamp(np.int32(-5), np.int32(-5), np.int32(-2)) == np.int32(-5) ? 1 : -1] array1;
  float[clamp(np.int32(-5), np.int32(-5), np.int32(-1)) == np.int32(-5) ? 1 : -1] array2;
  float[clamp(np.int32(-5), np.int32(-5), np.int32(0)) == np.int32(-5) ? 1 : -1] array3;
  float[clamp(np.int32(-5), np.int32(-5), np.int32(1)) == np.int32(-5) ? 1 : -1] array4;
  float[clamp(np.int32(-5), np.int32(-5), np.int32(2)) == np.int32(-5) ? 1 : -1] array5;
  float[clamp(np.int32(-5), np.int32(-5), np.int32(5)) == np.int32(-5) ? 1 : -1] array6;
  float[clamp(np.int32(-5), np.int32(-2), np.int32(-2)) == np.int32(-2) ? 1 : -1] array7;
  float[clamp(np.int32(-5), np.int32(-2), np.int32(-1)) == np.int32(-2) ? 1 : -1] array8;
  float[clamp(np.int32(-5), np.int32(-2), np.int32(0)) == np.int32(-2) ? 1 : -1] array9;
  float[clamp(np.int32(-5), np.int32(-2), np.int32(1)) == np.int32(-2) ? 1 : -1] array10;
  float[clamp(np.int32(-5), np.int32(-2), np.int32(2)) == np.int32(-2) ? 1 : -1] array11;
  float[clamp(np.int32(-5), np.int32(-2), np.int32(5)) == np.int32(-2) ? 1 : -1] array12;
  float[clamp(np.int32(-5), np.int32(-1), np.int32(-1)) == np.int32(-1) ? 1 : -1] array13;
  float[clamp(np.int32(-5), np.int32(-1), np.int32(0)) == np.int32(-1) ? 1 : -1] array14;
  float[clamp(np.int32(-5), np.int32(-1), np.int32(1)) == np.int32(-1) ? 1 : -1] array15;
  float[clamp(np.int32(-5), np.int32(-1), np.int32(2)) == np.int32(-1) ? 1 : -1] array16;
  float[clamp(np.int32(-5), np.int32(-1), np.int32(5)) == np.int32(-1) ? 1 : -1] array17;
  float[clamp(np.int32(-5), np.int32(0), np.int32(0)) == np.int32(0) ? 1 : -1] array18;
  float[clamp(np.int32(-5), np.int32(0), np.int32(1)) == np.int32(0) ? 1 : -1] array19;
  float[clamp(np.int32(-5), np.int32(0), np.int32(2)) == np.int32(0) ? 1 : -1] array20;
  float[clamp(np.int32(-5), np.int32(0), np.int32(5)) == np.int32(0) ? 1 : -1] array21;
  float[clamp(np.int32(-5), np.int32(1), np.int32(1)) == np.int32(1) ? 1 : -1] array22;
  float[clamp(np.int32(-5), np.int32(1), np.int32(2)) == np.int32(1) ? 1 : -1] array23;
  float[clamp(np.int32(-5), np.int32(1), np.int32(5)) == np.int32(1) ? 1 : -1] array24;
  float[clamp(np.int32(-5), np.int32(2), np.int32(2)) == np.int32(2) ? 1 : -1] array25;
  float[clamp(np.int32(-5), np.int32(2), np.int32(5)) == np.int32(2) ? 1 : -1] array26;
  float[clamp(np.int32(-5), np.int32(5), np.int32(5)) == np.int32(5) ? 1 : -1] array27;
  float[clamp(np.int32(-2), np.int32(-5), np.int32(-5)) == np.int32(-5) ? 1 : -1] array28;
  float[clamp(np.int32(-2), np.int32(-5), np.int32(-2)) == np.int32(-2) ? 1 : -1] array29;
  float[clamp(np.int32(-2), np.int32(-5), np.int32(-1)) == np.int32(-2) ? 1 : -1] array30;
  float[clamp(np.int32(-2), np.int32(-5), np.int32(0)) == np.int32(-2) ? 1 : -1] array31;
  float[clamp(np.int32(-2), np.int32(-5), np.int32(1)) == np.int32(-2) ? 1 : -1] array32;
  float[clamp(np.int32(-2), np.int32(-5), np.int32(2)) == np.int32(-2) ? 1 : -1] array33;
  float[clamp(np.int32(-2), np.int32(-5), np.int32(5)) == np.int32(-2) ? 1 : -1] array34;
  float[clamp(np.int32(-2), np.int32(-2), np.int32(-2)) == np.int32(-2) ? 1 : -1] array35;
  float[clamp(np.int32(-2), np.int32(-2), np.int32(-1)) == np.int32(-2) ? 1 : -1] array36;
  float[clamp(np.int32(-2), np.int32(-2), np.int32(0)) == np.int32(-2) ? 1 : -1] array37;
  float[clamp(np.int32(-2), np.int32(-2), np.int32(1)) == np.int32(-2) ? 1 : -1] array38;
  float[clamp(np.int32(-2), np.int32(-2), np.int32(2)) == np.int32(-2) ? 1 : -1] array39;
  float[clamp(np.int32(-2), np.int32(-2), np.int32(5)) == np.int32(-2) ? 1 : -1] array40;
  float[clamp(np.int32(-2), np.int32(-1), np.int32(-1)) == np.int32(-1) ? 1 : -1] array41;
  float[clamp(np.int32(-2), np.int32(-1), np.int32(0)) == np.int32(-1) ? 1 : -1] array42;
  float[clamp(np.int32(-2), np.int32(-1), np.int32(1)) == np.int32(-1) ? 1 : -1] array43;
  float[clamp(np.int32(-2), np.int32(-1), np.int32(2)) == np.int32(-1) ? 1 : -1] array44;
  float[clamp(np.int32(-2), np.int32(-1), np.int32(5)) == np.int32(-1) ? 1 : -1] array45;
  float[clamp(np.int32(-2), np.int32(0), np.int32(0)) == np.int32(0) ? 1 : -1] array46;
  float[clamp(np.int32(-2), np.int32(0), np.int32(1)) == np.int32(0) ? 1 : -1] array47;
  float[clamp(np.int32(-2), np.int32(0), np.int32(2)) == np.int32(0) ? 1 : -1] array48;
  float[clamp(np.int32(-2), np.int32(0), np.int32(5)) == np.int32(0) ? 1 : -1] array49;
  float[clamp(np.int32(-2), np.int32(1), np.int32(1)) == np.int32(1) ? 1 : -1] array50;
  float[clamp(np.int32(-2), np.int32(1), np.int32(2)) == np.int32(1) ? 1 : -1] array51;
  float[clamp(np.int32(-2), np.int32(1), np.int32(5)) == np.int32(1) ? 1 : -1] array52;
  float[clamp(np.int32(-2), np.int32(2), np.int32(2)) == np.int32(2) ? 1 : -1] array53;
  float[clamp(np.int32(-2), np.int32(2), np.int32(5)) == np.int32(2) ? 1 : -1] array54;
  float[clamp(np.int32(-2), np.int32(5), np.int32(5)) == np.int32(5) ? 1 : -1] array55;
  float[clamp(np.int32(-1), np.int32(-5), np.int32(-5)) == np.int32(-5) ? 1 : -1] array56;
  float[clamp(np.int32(-1), np.int32(-5), np.int32(-2)) == np.int32(-2) ? 1 : -1] array57;
  float[clamp(np.int32(-1), np.int32(-5), np.int32(-1)) == np.int32(-1) ? 1 : -1] array58;
  float[clamp(np.int32(-1), np.int32(-5), np.int32(0)) == np.int32(-1) ? 1 : -1] array59;
  float[clamp(np.int32(-1), np.int32(-5), np.int32(1)) == np.int32(-1) ? 1 : -1] array60;
  float[clamp(np.int32(-1), np.int32(-5), np.int32(2)) == np.int32(-1) ? 1 : -1] array61;
  float[clamp(np.int32(-1), np.int32(-5), np.int32(5)) == np.int32(-1) ? 1 : -1] array62;
  float[clamp(np.int32(-1), np.int32(-2), np.int32(-2)) == np.int32(-2) ? 1 : -1] array63;
  float[clamp(np.int32(-1), np.int32(-2), np.int32(-1)) == np.int32(-1) ? 1 : -1] array64;
  float[clamp(np.int32(-1), np.int32(-2), np.int32(0)) == np.int32(-1) ? 1 : -1] array65;
  float[clamp(np.int32(-1), np.int32(-2), np.int32(1)) == np.int32(-1) ? 1 : -1] array66;
  float[clamp(np.int32(-1), np.int32(-2), np.int32(2)) == np.int32(-1) ? 1 : -1] array67;
  float[clamp(np.int32(-1), np.int32(-2), np.int32(5)) == np.int32(-1) ? 1 : -1] array68;
  float[clamp(np.int32(-1), np.int32(-1), np.int32(-1)) == np.int32(-1) ? 1 : -1] array69;
  float[clamp(np.int32(-1), np.int32(-1), np.int32(0)) == np.int32(-1) ? 1 : -1] array70;
  float[clamp(np.int32(-1), np.int32(-1), np.int32(1)) == np.int32(-1) ? 1 : -1] array71;
  float[clamp(np.int32(-1), np.int32(-1), np.int32(2)) == np.int32(-1) ? 1 : -1] array72;
  float[clamp(np.int32(-1), np.int32(-1), np.int32(5)) == np.int32(-1) ? 1 : -1] array73;
  float[clamp(np.int32(-1), np.int32(0), np.int32(0)) == np.int32(0) ? 1 : -1] array74;
  float[clamp(np.int32(-1), np.int32(0), np.int32(1)) == np.int32(0) ? 1 : -1] array75;
  float[clamp(np.int32(-1), np.int32(0), np.int32(2)) == np.int32(0) ? 1 : -1] array76;
  float[clamp(np.int32(-1), np.int32(0), np.int32(5)) == np.int32(0) ? 1 : -1] array77;
  float[clamp(np.int32(-1), np.int32(1), np.int32(1)) == np.int32(1) ? 1 : -1] array78;
  float[clamp(np.int32(-1), np.int32(1), np.int32(2)) == np.int32(1) ? 1 : -1] array79;
  float[clamp(np.int32(-1), np.int32(1), np.int32(5)) == np.int32(1) ? 1 : -1] array80;
  float[clamp(np.int32(-1), np.int32(2), np.int32(2)) == np.int32(2) ? 1 : -1] array81;
  float[clamp(np.int32(-1), np.int32(2), np.int32(5)) == np.int32(2) ? 1 : -1] array82;
  float[clamp(np.int32(-1), np.int32(5), np.int32(5)) == np.int32(5) ? 1 : -1] array83;
  float[clamp(np.int32(0), np.int32(-5), np.int32(-5)) == np.int32(-5) ? 1 : -1] array84;
  float[clamp(np.int32(0), np.int32(-5), np.int32(-2)) == np.int32(-2) ? 1 : -1] array85;
  float[clamp(np.int32(0), np.int32(-5), np.int32(-1)) == np.int32(-1) ? 1 : -1] array86;
  float[clamp(np.int32(0), np.int32(-5), np.int32(0)) == np.int32(0) ? 1 : -1] array87;
  float[clamp(np.int32(0), np.int32(-5), np.int32(1)) == np.int32(0) ? 1 : -1] array88;
  float[clamp(np.int32(0), np.int32(-5), np.int32(2)) == np.int32(0) ? 1 : -1] array89;
  float[clamp(np.int32(0), np.int32(-5), np.int32(5)) == np.int32(0) ? 1 : -1] array90;
  float[clamp(np.int32(0), np.int32(-2), np.int32(-2)) == np.int32(-2) ? 1 : -1] array91;
  float[clamp(np.int32(0), np.int32(-2), np.int32(-1)) == np.int32(-1) ? 1 : -1] array92;
  float[clamp(np.int32(0), np.int32(-2), np.int32(0)) == np.int32(0) ? 1 : -1] array93;
  float[clamp(np.int32(0), np.int32(-2), np.int32(1)) == np.int32(0) ? 1 : -1] array94;
  float[clamp(np.int32(0), np.int32(-2), np.int32(2)) == np.int32(0) ? 1 : -1] array95;
  float[clamp(np.int32(0), np.int32(-2), np.int32(5)) == np.int32(0) ? 1 : -1] array96;
  float[clamp(np.int32(0), np.int32(-1), np.int32(-1)) == np.int32(-1) ? 1 : -1] array97;
  float[clamp(np.int32(0), np.int32(-1), np.int32(0)) == np.int32(0) ? 1 : -1] array98;
  float[clamp(np.int32(0), np.int32(-1), np.int32(1)) == np.int32(0) ? 1 : -1] array99;
  float[clamp(np.int32(0), np.int32(-1), np.int32(2)) == np.int32(0) ? 1 : -1] array100;
  float[clamp(np.int32(0), np.int32(-1), np.int32(5)) == np.int32(0) ? 1 : -1] array101;
  float[clamp(np.int32(0), np.int32(0), np.int32(0)) == np.int32(0) ? 1 : -1] array102;
  float[clamp(np.int32(0), np.int32(0), np.int32(1)) == np.int32(0) ? 1 : -1] array103;
  float[clamp(np.int32(0), np.int32(0), np.int32(2)) == np.int32(0) ? 1 : -1] array104;
  float[clamp(np.int32(0), np.int32(0), np.int32(5)) == np.int32(0) ? 1 : -1] array105;
  float[clamp(np.int32(0), np.int32(1), np.int32(1)) == np.int32(1) ? 1 : -1] array106;
  float[clamp(np.int32(0), np.int32(1), np.int32(2)) == np.int32(1) ? 1 : -1] array107;
  float[clamp(np.int32(0), np.int32(1), np.int32(5)) == np.int32(1) ? 1 : -1] array108;
  float[clamp(np.int32(0), np.int32(2), np.int32(2)) == np.int32(2) ? 1 : -1] array109;
  float[clamp(np.int32(0), np.int32(2), np.int32(5)) == np.int32(2) ? 1 : -1] array110;
  float[clamp(np.int32(0), np.int32(5), np.int32(5)) == np.int32(5) ? 1 : -1] array111;
  float[clamp(np.int32(1), np.int32(-5), np.int32(-5)) == np.int32(-5) ? 1 : -1] array112;
  float[clamp(np.int32(1), np.int32(-5), np.int32(-2)) == np.int32(-2) ? 1 : -1] array113;
  float[clamp(np.int32(1), np.int32(-5), np.int32(-1)) == np.int32(-1) ? 1 : -1] array114;
  float[clamp(np.int32(1), np.int32(-5), np.int32(0)) == np.int32(0) ? 1 : -1] array115;
  float[clamp(np.int32(1), np.int32(-5), np.int32(1)) == np.int32(1) ? 1 : -1] array116;
  float[clamp(np.int32(1), np.int32(-5), np.int32(2)) == np.int32(1) ? 1 : -1] array117;
  float[clamp(np.int32(1), np.int32(-5), np.int32(5)) == np.int32(1) ? 1 : -1] array118;
  float[clamp(np.int32(1), np.int32(-2), np.int32(-2)) == np.int32(-2) ? 1 : -1] array119;
  float[clamp(np.int32(1), np.int32(-2), np.int32(-1)) == np.int32(-1) ? 1 : -1] array120;
  float[clamp(np.int32(1), np.int32(-2), np.int32(0)) == np.int32(0) ? 1 : -1] array121;
  float[clamp(np.int32(1), np.int32(-2), np.int32(1)) == np.int32(1) ? 1 : -1] array122;
  float[clamp(np.int32(1), np.int32(-2), np.int32(2)) == np.int32(1) ? 1 : -1] array123;
  float[clamp(np.int32(1), np.int32(-2), np.int32(5)) == np.int32(1) ? 1 : -1] array124;
  float[clamp(np.int32(1), np.int32(-1), np.int32(-1)) == np.int32(-1) ? 1 : -1] array125;
  float[clamp(np.int32(1), np.int32(-1), np.int32(0)) == np.int32(0) ? 1 : -1] array126;
  float[clamp(np.int32(1), np.int32(-1), np.int32(1)) == np.int32(1) ? 1 : -1] array127;
  float[clamp(np.int32(1), np.int32(-1), np.int32(2)) == np.int32(1) ? 1 : -1] array128;
  float[clamp(np.int32(1), np.int32(-1), np.int32(5)) == np.int32(1) ? 1 : -1] array129;
  float[clamp(np.int32(1), np.int32(0), np.int32(0)) == np.int32(0) ? 1 : -1] array130;
  float[clamp(np.int32(1), np.int32(0), np.int32(1)) == np.int32(1) ? 1 : -1] array131;
  float[clamp(np.int32(1), np.int32(0), np.int32(2)) == np.int32(1) ? 1 : -1] array132;
  float[clamp(np.int32(1), np.int32(0), np.int32(5)) == np.int32(1) ? 1 : -1] array133;
  float[clamp(np.int32(1), np.int32(1), np.int32(1)) == np.int32(1) ? 1 : -1] array134;
  float[clamp(np.int32(1), np.int32(1), np.int32(2)) == np.int32(1) ? 1 : -1] array135;
  float[clamp(np.int32(1), np.int32(1), np.int32(5)) == np.int32(1) ? 1 : -1] array136;
  float[clamp(np.int32(1), np.int32(2), np.int32(2)) == np.int32(2) ? 1 : -1] array137;
  float[clamp(np.int32(1), np.int32(2), np.int32(5)) == np.int32(2) ? 1 : -1] array138;
  float[clamp(np.int32(1), np.int32(5), np.int32(5)) == np.int32(5) ? 1 : -1] array139;
  float[clamp(np.int32(2), np.int32(-5), np.int32(-5)) == np.int32(-5) ? 1 : -1] array140;
  float[clamp(np.int32(2), np.int32(-5), np.int32(-2)) == np.int32(-2) ? 1 : -1] array141;
  float[clamp(np.int32(2), np.int32(-5), np.int32(-1)) == np.int32(-1) ? 1 : -1] array142;
  float[clamp(np.int32(2), np.int32(-5), np.int32(0)) == np.int32(0) ? 1 : -1] array143;
  float[clamp(np.int32(2), np.int32(-5), np.int32(1)) == np.int32(1) ? 1 : -1] array144;
  float[clamp(np.int32(2), np.int32(-5), np.int32(2)) == np.int32(2) ? 1 : -1] array145;
  float[clamp(np.int32(2), np.int32(-5), np.int32(5)) == np.int32(2) ? 1 : -1] array146;
  float[clamp(np.int32(2), np.int32(-2), np.int32(-2)) == np.int32(-2) ? 1 : -1] array147;
  float[clamp(np.int32(2), np.int32(-2), np.int32(-1)) == np.int32(-1) ? 1 : -1] array148;
  float[clamp(np.int32(2), np.int32(-2), np.int32(0)) == np.int32(0) ? 1 : -1] array149;
  float[clamp(np.int32(2), np.int32(-2), np.int32(1)) == np.int32(1) ? 1 : -1] array150;
  float[clamp(np.int32(2), np.int32(-2), np.int32(2)) == np.int32(2) ? 1 : -1] array151;
  float[clamp(np.int32(2), np.int32(-2), np.int32(5)) == np.int32(2) ? 1 : -1] array152;
  float[clamp(np.int32(2), np.int32(-1), np.int32(-1)) == np.int32(-1) ? 1 : -1] array153;
  float[clamp(np.int32(2), np.int32(-1), np.int32(0)) == np.int32(0) ? 1 : -1] array154;
  float[clamp(np.int32(2), np.int32(-1), np.int32(1)) == np.int32(1) ? 1 : -1] array155;
  float[clamp(np.int32(2), np.int32(-1), np.int32(2)) == np.int32(2) ? 1 : -1] array156;
  float[clamp(np.int32(2), np.int32(-1), np.int32(5)) == np.int32(2) ? 1 : -1] array157;
  float[clamp(np.int32(2), np.int32(0), np.int32(0)) == np.int32(0) ? 1 : -1] array158;
  float[clamp(np.int32(2), np.int32(0), np.int32(1)) == np.int32(1) ? 1 : -1] array159;
  float[clamp(np.int32(2), np.int32(0), np.int32(2)) == np.int32(2) ? 1 : -1] array160;
  float[clamp(np.int32(2), np.int32(0), np.int32(5)) == np.int32(2) ? 1 : -1] array161;
  float[clamp(np.int32(2), np.int32(1), np.int32(1)) == np.int32(1) ? 1 : -1] array162;
  float[clamp(np.int32(2), np.int32(1), np.int32(2)) == np.int32(2) ? 1 : -1] array163;
  float[clamp(np.int32(2), np.int32(1), np.int32(5)) == np.int32(2) ? 1 : -1] array164;
  float[clamp(np.int32(2), np.int32(2), np.int32(2)) == np.int32(2) ? 1 : -1] array165;
  float[clamp(np.int32(2), np.int32(2), np.int32(5)) == np.int32(2) ? 1 : -1] array166;
  float[clamp(np.int32(2), np.int32(5), np.int32(5)) == np.int32(5) ? 1 : -1] array167;
  float[clamp(np.int32(5), np.int32(-5), np.int32(-5)) == np.int32(-5) ? 1 : -1] array168;
  float[clamp(np.int32(5), np.int32(-5), np.int32(-2)) == np.int32(-2) ? 1 : -1] array169;
  float[clamp(np.int32(5), np.int32(-5), np.int32(-1)) == np.int32(-1) ? 1 : -1] array170;
  float[clamp(np.int32(5), np.int32(-5), np.int32(0)) == np.int32(0) ? 1 : -1] array171;
  float[clamp(np.int32(5), np.int32(-5), np.int32(1)) == np.int32(1) ? 1 : -1] array172;
  float[clamp(np.int32(5), np.int32(-5), np.int32(2)) == np.int32(2) ? 1 : -1] array173;
  float[clamp(np.int32(5), np.int32(-5), np.int32(5)) == np.int32(5) ? 1 : -1] array174;
  float[clamp(np.int32(5), np.int32(-2), np.int32(-2)) == np.int32(-2) ? 1 : -1] array175;
  float[clamp(np.int32(5), np.int32(-2), np.int32(-1)) == np.int32(-1) ? 1 : -1] array176;
  float[clamp(np.int32(5), np.int32(-2), np.int32(0)) == np.int32(0) ? 1 : -1] array177;
  float[clamp(np.int32(5), np.int32(-2), np.int32(1)) == np.int32(1) ? 1 : -1] array178;
  float[clamp(np.int32(5), np.int32(-2), np.int32(2)) == np.int32(2) ? 1 : -1] array179;
  float[clamp(np.int32(5), np.int32(-2), np.int32(5)) == np.int32(5) ? 1 : -1] array180;
  float[clamp(np.int32(5), np.int32(-1), np.int32(-1)) == np.int32(-1) ? 1 : -1] array181;
  float[clamp(np.int32(5), np.int32(-1), np.int32(0)) == np.int32(0) ? 1 : -1] array182;
  float[clamp(np.int32(5), np.int32(-1), np.int32(1)) == np.int32(1) ? 1 : -1] array183;
  float[clamp(np.int32(5), np.int32(-1), np.int32(2)) == np.int32(2) ? 1 : -1] array184;
  float[clamp(np.int32(5), np.int32(-1), np.int32(5)) == np.int32(5) ? 1 : -1] array185;
  float[clamp(np.int32(5), np.int32(0), np.int32(0)) == np.int32(0) ? 1 : -1] array186;
  float[clamp(np.int32(5), np.int32(0), np.int32(1)) == np.int32(1) ? 1 : -1] array187;
  float[clamp(np.int32(5), np.int32(0), np.int32(2)) == np.int32(2) ? 1 : -1] array188;
  float[clamp(np.int32(5), np.int32(0), np.int32(5)) == np.int32(5) ? 1 : -1] array189;
  float[clamp(np.int32(5), np.int32(1), np.int32(1)) == np.int32(1) ? 1 : -1] array190;
  float[clamp(np.int32(5), np.int32(1), np.int32(2)) == np.int32(2) ? 1 : -1] array191;
  float[clamp(np.int32(5), np.int32(1), np.int32(5)) == np.int32(5) ? 1 : -1] array192;
  float[clamp(np.int32(5), np.int32(2), np.int32(2)) == np.int32(2) ? 1 : -1] array193;
  float[clamp(np.int32(5), np.int32(2), np.int32(5)) == np.int32(5) ? 1 : -1] array194;
  float[clamp(np.int32(5), np.int32(5), np.int32(5)) == np.int32(5) ? 1 : -1] array195;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length() + array15.length() + array16.length() + array17.length() + array18.length() + array19.length() + array20.length() + array21.length() + array22.length() + array23.length() + array24.length() + array25.length() + array26.length() + array27.length() + array28.length() + array29.length() + array30.length() + array31.length() + array32.length() + array33.length() + array34.length() + array35.length() + array36.length() + array37.length() + array38.length() + array39.length() + array40.length() + array41.length() + array42.length() + array43.length() + array44.length() + array45.length() + array46.length() + array47.length() + array48.length() + array49.length() + array50.length() + array51.length() + array52.length() + array53.length() + array54.length() + array55.length() + array56.length() + array57.length() + array58.length() + array59.length() + array60.length() + array61.length() + array62.length() + array63.length() + array64.length() + array65.length() + array66.length() + array67.length() + array68.length() + array69.length() + array70.length() + array71.length() + array72.length() + array73.length() + array74.length() + array75.length() + array76.length() + array77.length() + array78.length() + array79.length() + array80.length() + array81.length() + array82.length() + array83.length() + array84.length() + array85.length() + array86.length() + array87.length() + array88.length() + array89.length() + array90.length() + array91.length() + array92.length() + array93.length() + array94.length() + array95.length() + array96.length() + array97.length() + array98.length() + array99.length() + array100.length() + array101.length() + array102.length() + array103.length() + array104.length() + array105.length() + array106.length() + array107.length() + array108.length() + array109.length() + array110.length() + array111.length() + array112.length() + array113.length() + array114.length() + array115.length() + array116.length() + array117.length() + array118.length() + array119.length() + array120.length() + array121.length() + array122.length() + array123.length() + array124.length() + array125.length() + array126.length() + array127.length() + array128.length() + array129.length() + array130.length() + array131.length() + array132.length() + array133.length() + array134.length() + array135.length() + array136.length() + array137.length() + array138.length() + array139.length() + array140.length() + array141.length() + array142.length() + array143.length() + array144.length() + array145.length() + array146.length() + array147.length() + array148.length() + array149.length() + array150.length() + array151.length() + array152.length() + array153.length() + array154.length() + array155.length() + array156.length() + array157.length() + array158.length() + array159.length() + array160.length() + array161.length() + array162.length() + array163.length() + array164.length() + array165.length() + array166.length() + array167.length() + array168.length() + array169.length() + array170.length() + array171.length() + array172.length() + array173.length() + array174.length() + array175.length() + array176.length() + array177.length() + array178.length() + array179.length() + array180.length() + array181.length() + array182.length() + array183.length() + array184.length() + array185.length() + array186.length() + array187.length() + array188.length() + array189.length() + array190.length() + array191.length() + array192.length() + array193.length() + array194.length() + array195.length());
}
