/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * log2(vec2(np.float32(0.01), np.float32(0.67333335))) => vec2(np.float32(-6.643856), np.float32(-0.5706072))
 * log2(vec2(np.float32(1.3366667), np.float32(2.0))) => vec2(np.float32(0.41863978), np.float32(1.0))
 */
#version 150

void main()
{
  float[distance(log2(vec2(np.float32(0.01), np.float32(0.67333335))), vec2(np.float32(-6.643856), np.float32(-0.5706072))) <= np.float32(6.668314e-05) ? 1 : -1] array0;
  float[distance(log2(vec2(np.float32(1.3366667), np.float32(2.0))), vec2(np.float32(0.41863978), np.float32(1.0))) <= np.float32(1.0840938e-05) ? 1 : -1] array1;
  gl_Position = vec4(array0.length() + array1.length());
}
