/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * normalize(vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))) => vec3(np.float32(-0.02366537), np.float32(-0.6705189), np.float32(-0.7415149))
 * normalize(vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))) => vec3(np.float32(0.64414936), np.float32(0.25457403), np.float32(0.72129303))
 */
#version 150

void main()
{
  float[distance(normalize(vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))), vec3(np.float32(-0.02366537), np.float32(-0.6705189), np.float32(-0.7415149))) <= np.float32(1e-05) ? 1 : -1] array0;
  float[distance(normalize(vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))), vec3(np.float32(0.64414936), np.float32(0.25457403), np.float32(0.72129303))) <= np.float32(1e-05) ? 1 : -1] array1;
  gl_Position = vec4(array0.length() + array1.length());
}
