/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (ivec2(np.int32(38), np.int32(35)) + np.int32(12)) => ivec2(np.int32(50), np.int32(47))
 * (ivec2(np.int32(38), np.int32(35)) + np.int32(-6)) => ivec2(np.int32(32), np.int32(29))
 * (ivec2(np.int32(38), np.int32(35)) + np.int32(76)) => ivec2(np.int32(114), np.int32(111))
 * (ivec2(np.int32(38), np.int32(35)) + np.int32(-32)) => ivec2(np.int32(6), np.int32(3))
 * (ivec2(np.int32(38), np.int32(35)) + np.int32(0)) => ivec2(np.int32(38), np.int32(35))
 * (ivec2(np.int32(64), np.int32(-9)) + np.int32(12)) => ivec2(np.int32(76), np.int32(3))
 * (ivec2(np.int32(64), np.int32(-9)) + np.int32(-6)) => ivec2(np.int32(58), np.int32(-15))
 * (ivec2(np.int32(64), np.int32(-9)) + np.int32(76)) => ivec2(np.int32(140), np.int32(67))
 * (ivec2(np.int32(64), np.int32(-9)) + np.int32(-32)) => ivec2(np.int32(32), np.int32(-41))
 * (ivec2(np.int32(64), np.int32(-9)) + np.int32(0)) => ivec2(np.int32(64), np.int32(-9))
 * (ivec2(np.int32(64), np.int32(9)) + np.int32(12)) => ivec2(np.int32(76), np.int32(21))
 * (ivec2(np.int32(64), np.int32(9)) + np.int32(-6)) => ivec2(np.int32(58), np.int32(3))
 * (ivec2(np.int32(64), np.int32(9)) + np.int32(76)) => ivec2(np.int32(140), np.int32(85))
 * (ivec2(np.int32(64), np.int32(9)) + np.int32(-32)) => ivec2(np.int32(32), np.int32(-23))
 * (ivec2(np.int32(64), np.int32(9)) + np.int32(0)) => ivec2(np.int32(64), np.int32(9))
 */
#version 150

void main()
{
  float[all(equal((ivec2(np.int32(38), np.int32(35)) + np.int32(12)), ivec2(np.int32(50), np.int32(47)))) ? 1 : -1] array0;
  float[all(equal((ivec2(np.int32(38), np.int32(35)) + np.int32(-6)), ivec2(np.int32(32), np.int32(29)))) ? 1 : -1] array1;
  float[all(equal((ivec2(np.int32(38), np.int32(35)) + np.int32(76)), ivec2(np.int32(114), np.int32(111)))) ? 1 : -1] array2;
  float[all(equal((ivec2(np.int32(38), np.int32(35)) + np.int32(-32)), ivec2(np.int32(6), np.int32(3)))) ? 1 : -1] array3;
  float[all(equal((ivec2(np.int32(38), np.int32(35)) + np.int32(0)), ivec2(np.int32(38), np.int32(35)))) ? 1 : -1] array4;
  float[all(equal((ivec2(np.int32(64), np.int32(-9)) + np.int32(12)), ivec2(np.int32(76), np.int32(3)))) ? 1 : -1] array5;
  float[all(equal((ivec2(np.int32(64), np.int32(-9)) + np.int32(-6)), ivec2(np.int32(58), np.int32(-15)))) ? 1 : -1] array6;
  float[all(equal((ivec2(np.int32(64), np.int32(-9)) + np.int32(76)), ivec2(np.int32(140), np.int32(67)))) ? 1 : -1] array7;
  float[all(equal((ivec2(np.int32(64), np.int32(-9)) + np.int32(-32)), ivec2(np.int32(32), np.int32(-41)))) ? 1 : -1] array8;
  float[all(equal((ivec2(np.int32(64), np.int32(-9)) + np.int32(0)), ivec2(np.int32(64), np.int32(-9)))) ? 1 : -1] array9;
  float[all(equal((ivec2(np.int32(64), np.int32(9)) + np.int32(12)), ivec2(np.int32(76), np.int32(21)))) ? 1 : -1] array10;
  float[all(equal((ivec2(np.int32(64), np.int32(9)) + np.int32(-6)), ivec2(np.int32(58), np.int32(3)))) ? 1 : -1] array11;
  float[all(equal((ivec2(np.int32(64), np.int32(9)) + np.int32(76)), ivec2(np.int32(140), np.int32(85)))) ? 1 : -1] array12;
  float[all(equal((ivec2(np.int32(64), np.int32(9)) + np.int32(-32)), ivec2(np.int32(32), np.int32(-23)))) ? 1 : -1] array13;
  float[all(equal((ivec2(np.int32(64), np.int32(9)) + np.int32(0)), ivec2(np.int32(64), np.int32(9)))) ? 1 : -1] array14;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length());
}
