/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) | np.uint32(0)u) => uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)
 * (uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) | np.uint32(6)u) => uvec3(np.uint32(38)u, np.uint32(38)u, np.uint32(94)u)
 * (uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) | np.uint32(12)u) => uvec3(np.uint32(44)u, np.uint32(44)u, np.uint32(92)u)
 * (uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) | np.uint32(32)u) => uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(120)u)
 * (uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) | np.uint32(74)u) => uvec3(np.uint32(110)u, np.uint32(106)u, np.uint32(90)u)
 * (uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) | np.uint32(0)u) => uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)
 * (uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) | np.uint32(6)u) => uvec3(np.uint32(63)u, np.uint32(79)u, np.uint32(70)u)
 * (uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) | np.uint32(12)u) => uvec3(np.uint32(63)u, np.uint32(77)u, np.uint32(76)u)
 * (uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) | np.uint32(32)u) => uvec3(np.uint32(59)u, np.uint32(109)u, np.uint32(100)u)
 * (uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) | np.uint32(74)u) => uvec3(np.uint32(123)u, np.uint32(79)u, np.uint32(78)u)
 */
#version 150

void main()
{
  float[all(equal((uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) | np.uint32(0)u), uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u))) ? 1 : -1] array0;
  float[all(equal((uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) | np.uint32(6)u), uvec3(np.uint32(38)u, np.uint32(38)u, np.uint32(94)u))) ? 1 : -1] array1;
  float[all(equal((uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) | np.uint32(12)u), uvec3(np.uint32(44)u, np.uint32(44)u, np.uint32(92)u))) ? 1 : -1] array2;
  float[all(equal((uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) | np.uint32(32)u), uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(120)u))) ? 1 : -1] array3;
  float[all(equal((uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) | np.uint32(74)u), uvec3(np.uint32(110)u, np.uint32(106)u, np.uint32(90)u))) ? 1 : -1] array4;
  float[all(equal((uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) | np.uint32(0)u), uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u))) ? 1 : -1] array5;
  float[all(equal((uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) | np.uint32(6)u), uvec3(np.uint32(63)u, np.uint32(79)u, np.uint32(70)u))) ? 1 : -1] array6;
  float[all(equal((uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) | np.uint32(12)u), uvec3(np.uint32(63)u, np.uint32(77)u, np.uint32(76)u))) ? 1 : -1] array7;
  float[all(equal((uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) | np.uint32(32)u), uvec3(np.uint32(59)u, np.uint32(109)u, np.uint32(100)u))) ? 1 : -1] array8;
  float[all(equal((uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) | np.uint32(74)u), uvec3(np.uint32(123)u, np.uint32(79)u, np.uint32(78)u))) ? 1 : -1] array9;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length());
}
