/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * mix(np.float64(-2.0)lf, np.float64(-3.0)lf, true) => np.float64(-3.0)lf
 * mix(np.float64(-2.0)lf, np.float64(-3.0)lf, false) => np.float64(-2.0)lf
 * mix(np.float64(-2.0)lf, np.float64(3.0)lf, true) => np.float64(3.0)lf
 * mix(np.float64(-2.0)lf, np.float64(3.0)lf, false) => np.float64(-2.0)lf
 * mix(np.float64(2.0)lf, np.float64(-3.0)lf, true) => np.float64(-3.0)lf
 * mix(np.float64(2.0)lf, np.float64(-3.0)lf, false) => np.float64(2.0)lf
 * mix(np.float64(2.0)lf, np.float64(3.0)lf, true) => np.float64(3.0)lf
 * mix(np.float64(2.0)lf, np.float64(3.0)lf, false) => np.float64(2.0)lf
 */
#version 400

void main()
{
  double[distance(mix(np.float64(-2.0)lf, np.float64(-3.0)lf, true), np.float64(-3.0)lf) <= np.float64(3.0000000000000004e-05)lf ? 1 : -1] array0;
  double[distance(mix(np.float64(-2.0)lf, np.float64(-3.0)lf, false), np.float64(-2.0)lf) <= np.float64(2e-05)lf ? 1 : -1] array1;
  double[distance(mix(np.float64(-2.0)lf, np.float64(3.0)lf, true), np.float64(3.0)lf) <= np.float64(3.0000000000000004e-05)lf ? 1 : -1] array2;
  double[distance(mix(np.float64(-2.0)lf, np.float64(3.0)lf, false), np.float64(-2.0)lf) <= np.float64(2e-05)lf ? 1 : -1] array3;
  double[distance(mix(np.float64(2.0)lf, np.float64(-3.0)lf, true), np.float64(-3.0)lf) <= np.float64(3.0000000000000004e-05)lf ? 1 : -1] array4;
  double[distance(mix(np.float64(2.0)lf, np.float64(-3.0)lf, false), np.float64(2.0)lf) <= np.float64(2e-05)lf ? 1 : -1] array5;
  double[distance(mix(np.float64(2.0)lf, np.float64(3.0)lf, true), np.float64(3.0)lf) <= np.float64(3.0000000000000004e-05)lf ? 1 : -1] array6;
  double[distance(mix(np.float64(2.0)lf, np.float64(3.0)lf, false), np.float64(2.0)lf) <= np.float64(2e-05)lf ? 1 : -1] array7;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length());
}
