/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * require_extensions: GL_ARB_gpu_shader_fp64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * matrixCompMult(dmat2x3(np.float64(-0.46)lf, np.float64(-0.45)lf, np.float64(1.03)lf, np.float64(1.94)lf, np.float64(-0.75)lf, np.float64(-0.5)lf), dmat2x3(np.float64(-0.46)lf, np.float64(-0.45)lf, np.float64(1.03)lf, np.float64(1.94)lf, np.float64(-0.75)lf, np.float64(-0.5)lf)) => dmat2x3(np.float64(0.2116)lf, np.float64(0.2025)lf, np.float64(1.0609)lf, np.float64(3.7636)lf, np.float64(0.5625)lf, np.float64(0.25)lf)
 * matrixCompMult(dmat2x3(np.float64(-0.46)lf, np.float64(-0.45)lf, np.float64(1.03)lf, np.float64(1.94)lf, np.float64(-0.75)lf, np.float64(-0.5)lf), dmat2x3(np.float64(1.38)lf, np.float64(-1.27)lf, np.float64(1.0)lf, np.float64(-1.08)lf, np.float64(1.83)lf, np.float64(-0.74)lf)) => dmat2x3(np.float64(-0.6348)lf, np.float64(0.5715)lf, np.float64(1.03)lf, np.float64(-2.0952)lf, np.float64(-1.3725)lf, np.float64(0.37)lf)
 * matrixCompMult(dmat2x3(np.float64(1.38)lf, np.float64(-1.27)lf, np.float64(1.0)lf, np.float64(-1.08)lf, np.float64(1.83)lf, np.float64(-0.74)lf), dmat2x3(np.float64(-0.46)lf, np.float64(-0.45)lf, np.float64(1.03)lf, np.float64(1.94)lf, np.float64(-0.75)lf, np.float64(-0.5)lf)) => dmat2x3(np.float64(-0.6348)lf, np.float64(0.5715)lf, np.float64(1.03)lf, np.float64(-2.0952)lf, np.float64(-1.3725)lf, np.float64(0.37)lf)
 * matrixCompMult(dmat2x3(np.float64(1.38)lf, np.float64(-1.27)lf, np.float64(1.0)lf, np.float64(-1.08)lf, np.float64(1.83)lf, np.float64(-0.74)lf), dmat2x3(np.float64(1.38)lf, np.float64(-1.27)lf, np.float64(1.0)lf, np.float64(-1.08)lf, np.float64(1.83)lf, np.float64(-0.74)lf)) => dmat2x3(np.float64(1.9043999999999996)lf, np.float64(1.6129)lf, np.float64(1.0)lf, np.float64(1.1664)lf, np.float64(3.3489000000000004)lf, np.float64(0.5476)lf)
 */
#version 150
#extension GL_ARB_gpu_shader_fp64 : require

void main()
{
  double[(distance(matrixCompMult(dmat2x3(np.float64(-0.46)lf, np.float64(-0.45)lf, np.float64(1.03)lf, np.float64(1.94)lf, np.float64(-0.75)lf, np.float64(-0.5)lf), dmat2x3(np.float64(-0.46)lf, np.float64(-0.45)lf, np.float64(1.03)lf, np.float64(1.94)lf, np.float64(-0.75)lf, np.float64(-0.5)lf))[0], dvec3(np.float64(0.2116)lf, np.float64(0.2025)lf, np.float64(1.0609)lf)) * distance(matrixCompMult(dmat2x3(np.float64(-0.46)lf, np.float64(-0.45)lf, np.float64(1.03)lf, np.float64(1.94)lf, np.float64(-0.75)lf, np.float64(-0.5)lf), dmat2x3(np.float64(-0.46)lf, np.float64(-0.45)lf, np.float64(1.03)lf, np.float64(1.94)lf, np.float64(-0.75)lf, np.float64(-0.5)lf))[0], dvec3(np.float64(0.2116)lf, np.float64(0.2025)lf, np.float64(1.0609)lf))) + (distance(matrixCompMult(dmat2x3(np.float64(-0.46)lf, np.float64(-0.45)lf, np.float64(1.03)lf, np.float64(1.94)lf, np.float64(-0.75)lf, np.float64(-0.5)lf), dmat2x3(np.float64(-0.46)lf, np.float64(-0.45)lf, np.float64(1.03)lf, np.float64(1.94)lf, np.float64(-0.75)lf, np.float64(-0.5)lf))[1], dvec3(np.float64(3.7636)lf, np.float64(0.5625)lf, np.float64(0.25)lf)) * distance(matrixCompMult(dmat2x3(np.float64(-0.46)lf, np.float64(-0.45)lf, np.float64(1.03)lf, np.float64(1.94)lf, np.float64(-0.75)lf, np.float64(-0.5)lf), dmat2x3(np.float64(-0.46)lf, np.float64(-0.45)lf, np.float64(1.03)lf, np.float64(1.94)lf, np.float64(-0.75)lf, np.float64(-0.5)lf))[1], dvec3(np.float64(3.7636)lf, np.float64(0.5625)lf, np.float64(0.25)lf))) <= np.float64(1.5754880830000005e-09)lf ? 1 : -1] array0;
  double[(distance(matrixCompMult(dmat2x3(np.float64(-0.46)lf, np.float64(-0.45)lf, np.float64(1.03)lf, np.float64(1.94)lf, np.float64(-0.75)lf, np.float64(-0.5)lf), dmat2x3(np.float64(1.38)lf, np.float64(-1.27)lf, np.float64(1.0)lf, np.float64(-1.08)lf, np.float64(1.83)lf, np.float64(-0.74)lf))[0], dvec3(np.float64(-0.6348)lf, np.float64(0.5715)lf, np.float64(1.03)lf)) * distance(matrixCompMult(dmat2x3(np.float64(-0.46)lf, np.float64(-0.45)lf, np.float64(1.03)lf, np.float64(1.94)lf, np.float64(-0.75)lf, np.float64(-0.5)lf), dmat2x3(np.float64(1.38)lf, np.float64(-1.27)lf, np.float64(1.0)lf, np.float64(-1.08)lf, np.float64(1.83)lf, np.float64(-0.74)lf))[0], dvec3(np.float64(-0.6348)lf, np.float64(0.5715)lf, np.float64(1.03)lf))) + (distance(matrixCompMult(dmat2x3(np.float64(-0.46)lf, np.float64(-0.45)lf, np.float64(1.03)lf, np.float64(1.94)lf, np.float64(-0.75)lf, np.float64(-0.5)lf), dmat2x3(np.float64(1.38)lf, np.float64(-1.27)lf, np.float64(1.0)lf, np.float64(-1.08)lf, np.float64(1.83)lf, np.float64(-0.74)lf))[1], dvec3(np.float64(-2.0952)lf, np.float64(-1.3725)lf, np.float64(0.37)lf)) * distance(matrixCompMult(dmat2x3(np.float64(-0.46)lf, np.float64(-0.45)lf, np.float64(1.03)lf, np.float64(1.94)lf, np.float64(-0.75)lf, np.float64(-0.5)lf), dmat2x3(np.float64(1.38)lf, np.float64(-1.27)lf, np.float64(1.0)lf, np.float64(-1.08)lf, np.float64(1.83)lf, np.float64(-0.74)lf))[1], dvec3(np.float64(-2.0952)lf, np.float64(-1.3725)lf, np.float64(0.37)lf))) <= np.float64(8.201002580000001e-10)lf ? 1 : -1] array1;
  double[(distance(matrixCompMult(dmat2x3(np.float64(1.38)lf, np.float64(-1.27)lf, np.float64(1.0)lf, np.float64(-1.08)lf, np.float64(1.83)lf, np.float64(-0.74)lf), dmat2x3(np.float64(-0.46)lf, np.float64(-0.45)lf, np.float64(1.03)lf, np.float64(1.94)lf, np.float64(-0.75)lf, np.float64(-0.5)lf))[0], dvec3(np.float64(-0.6348)lf, np.float64(0.5715)lf, np.float64(1.03)lf)) * distance(matrixCompMult(dmat2x3(np.float64(1.38)lf, np.float64(-1.27)lf, np.float64(1.0)lf, np.float64(-1.08)lf, np.float64(1.83)lf, np.float64(-0.74)lf), dmat2x3(np.float64(-0.46)lf, np.float64(-0.45)lf, np.float64(1.03)lf, np.float64(1.94)lf, np.float64(-0.75)lf, np.float64(-0.5)lf))[0], dvec3(np.float64(-0.6348)lf, np.float64(0.5715)lf, np.float64(1.03)lf))) + (distance(matrixCompMult(dmat2x3(np.float64(1.38)lf, np.float64(-1.27)lf, np.float64(1.0)lf, np.float64(-1.08)lf, np.float64(1.83)lf, np.float64(-0.74)lf), dmat2x3(np.float64(-0.46)lf, np.float64(-0.45)lf, np.float64(1.03)lf, np.float64(1.94)lf, np.float64(-0.75)lf, np.float64(-0.5)lf))[1], dvec3(np.float64(-2.0952)lf, np.float64(-1.3725)lf, np.float64(0.37)lf)) * distance(matrixCompMult(dmat2x3(np.float64(1.38)lf, np.float64(-1.27)lf, np.float64(1.0)lf, np.float64(-1.08)lf, np.float64(1.83)lf, np.float64(-0.74)lf), dmat2x3(np.float64(-0.46)lf, np.float64(-0.45)lf, np.float64(1.03)lf, np.float64(1.94)lf, np.float64(-0.75)lf, np.float64(-0.5)lf))[1], dvec3(np.float64(-2.0952)lf, np.float64(-1.3725)lf, np.float64(0.37)lf))) <= np.float64(8.201002580000001e-10)lf ? 1 : -1] array2;
  double[(distance(matrixCompMult(dmat2x3(np.float64(1.38)lf, np.float64(-1.27)lf, np.float64(1.0)lf, np.float64(-1.08)lf, np.float64(1.83)lf, np.float64(-0.74)lf), dmat2x3(np.float64(1.38)lf, np.float64(-1.27)lf, np.float64(1.0)lf, np.float64(-1.08)lf, np.float64(1.83)lf, np.float64(-0.74)lf))[0], dvec3(np.float64(1.9043999999999996)lf, np.float64(1.6129)lf, np.float64(1.0)lf)) * distance(matrixCompMult(dmat2x3(np.float64(1.38)lf, np.float64(-1.27)lf, np.float64(1.0)lf, np.float64(-1.08)lf, np.float64(1.83)lf, np.float64(-0.74)lf), dmat2x3(np.float64(1.38)lf, np.float64(-1.27)lf, np.float64(1.0)lf, np.float64(-1.08)lf, np.float64(1.83)lf, np.float64(-0.74)lf))[0], dvec3(np.float64(1.9043999999999996)lf, np.float64(1.6129)lf, np.float64(1.0)lf))) + (distance(matrixCompMult(dmat2x3(np.float64(1.38)lf, np.float64(-1.27)lf, np.float64(1.0)lf, np.float64(-1.08)lf, np.float64(1.83)lf, np.float64(-0.74)lf), dmat2x3(np.float64(1.38)lf, np.float64(-1.27)lf, np.float64(1.0)lf, np.float64(-1.08)lf, np.float64(1.83)lf, np.float64(-0.74)lf))[1], dvec3(np.float64(1.1664)lf, np.float64(3.3489000000000004)lf, np.float64(0.5476)lf)) * distance(matrixCompMult(dmat2x3(np.float64(1.38)lf, np.float64(-1.27)lf, np.float64(1.0)lf, np.float64(-1.08)lf, np.float64(1.83)lf, np.float64(-0.74)lf), dmat2x3(np.float64(1.38)lf, np.float64(-1.27)lf, np.float64(1.0)lf, np.float64(-1.08)lf, np.float64(1.83)lf, np.float64(-0.74)lf))[1], dvec3(np.float64(1.1664)lf, np.float64(3.3489000000000004)lf, np.float64(0.5476)lf))) <= np.float64(2.0103671700000008e-09)lf ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
